catch {TE::UTILS::te_msg TE_BD-0 INFO "This block design tcl-file was generate with Trenz Electronic GmbH Board Part:trenz.biz:te0808_6eg_1e:part0:3.0, FPGA: xczu6eg-ffvc900-1-e at 2018-07-11T10:41:44."}
catch {TE::UTILS::te_msg TE_BD-1 INFO "This block design tcl-file was modified by TE-Scripts. Modifications are labelled with comment tag  # #TE_MOD# on the Block-Design tcl-file."}

################################################################
# This is a generated script based on design: zusys
#
# Though there are limitations about the generated script,
# the main purpose of this utility is to make learning
# IP Integrator Tcl commands easier.
################################################################

namespace eval _tcl {
proc get_script_folder {} {
   set script_path [file normalize [info script]]
   set script_folder [file dirname $script_path]
   return $script_folder
}
}
variable script_folder
set script_folder [_tcl::get_script_folder]

################################################################
# Check if script is running in correct Vivado version.
################################################################
set scripts_vivado_version 2018.2
set current_vivado_version [version -short]

if { [string first $scripts_vivado_version $current_vivado_version] == -1 } {
   puts ""
   catch {common::send_msg_id "BD_TCL-109" "ERROR" "This script was generated using Vivado <$scripts_vivado_version> and is being run in <$current_vivado_version> of Vivado. Please run the script in Vivado <$scripts_vivado_version> then open the design in Vivado <$current_vivado_version>. Upgrade the design by running \"Tools => Report => Report IP Status...\", then run write_bd_tcl to create an updated script."}

   return 1
}

################################################################
# START
################################################################

# To test this script, run the following commands from Vivado Tcl console:
# source zusys_script.tcl

# If there is no project opened, this script will create a
# project, but make sure you do not have an existing project
# <./myproj/project_1.xpr> in the current working folder.

set list_projs [get_projects -quiet]
if { $list_projs eq "" } {
   create_project project_1 myproj -part xczu6eg-ffvc900-1-e
   set_property BOARD_PART trenz.biz:te0808_6eg_1e:part0:3.0 [current_project]
}


# CHANGE DESIGN NAME HERE
variable design_name
set design_name zusys

# If you do not already have an existing IP Integrator design open,
# you can create a design using the following command:
#    create_bd_design $design_name

# Creating design if needed
set errMsg ""
set nRet 0

set cur_design [current_bd_design -quiet]
set list_cells [get_bd_cells -quiet]

if { ${design_name} eq "" } {
   # USE CASES:
   #    1) Design_name not set

   set errMsg "Please set the variable <design_name> to a non-empty value."
   set nRet 1

} elseif { ${cur_design} ne "" && ${list_cells} eq "" } {
   # USE CASES:
   #    2): Current design opened AND is empty AND names same.
   #    3): Current design opened AND is empty AND names diff; design_name NOT in project.
   #    4): Current design opened AND is empty AND names diff; design_name exists in project.

   if { $cur_design ne $design_name } {
      common::send_msg_id "BD_TCL-001" "INFO" "Changing value of <design_name> from <$design_name> to <$cur_design> since current design is empty."
      set design_name [get_property NAME $cur_design]
   }
   common::send_msg_id "BD_TCL-002" "INFO" "Constructing design in IPI design <$cur_design>..."

} elseif { ${cur_design} ne "" && $list_cells ne "" && $cur_design eq $design_name } {
   # USE CASES:
   #    5) Current design opened AND has components AND same names.

   set errMsg "Design <$design_name> already exists in your project, please set the variable <design_name> to another value."
   set nRet 1
} elseif { [get_files -quiet ${design_name}.bd] ne "" } {
   # USE CASES: 
   #    6) Current opened design, has components, but diff names, design_name exists in project.
   #    7) No opened design, design_name exists in project.

   set errMsg "Design <$design_name> already exists in your project, please set the variable <design_name> to another value."
   set nRet 2

} else {
   # USE CASES:
   #    8) No opened design, design_name not in project.
   #    9) Current opened design, has components, but diff names, design_name not in project.

   common::send_msg_id "BD_TCL-003" "INFO" "Currently there is no design <$design_name> in project, so creating one..."

   create_bd_design $design_name

   common::send_msg_id "BD_TCL-004" "INFO" "Making design <$design_name> as current_bd_design."
   current_bd_design $design_name

}

common::send_msg_id "BD_TCL-005" "INFO" "Currently the variable <design_name> is equal to \"$design_name\"."

if { $nRet != 0 } {
   catch {common::send_msg_id "BD_TCL-114" "ERROR" $errMsg}
   return $nRet
}

set bCheckIPsPassed 1
##################################################################
# CHECK IPs
##################################################################
set bCheckIPs 1
if { $bCheckIPs == 1 } {
   set list_check_ips "\ 
xilinx.com:ip:zynq_ultra_ps_e:3.2\
"

   set list_ips_missing ""
   common::send_msg_id "BD_TCL-006" "INFO" "Checking if the following IPs exist in the project's IP catalog: $list_check_ips ."

   foreach ip_vlnv $list_check_ips {
      set ip_obj [get_ipdefs -all $ip_vlnv]
      if { $ip_obj eq "" } {
         lappend list_ips_missing $ip_vlnv
      }
   }

   if { $list_ips_missing ne "" } {
      catch {common::send_msg_id "BD_TCL-115" "ERROR" "The following IPs are not found in the IP Catalog:\n  $list_ips_missing\n\nResolution: Please add the repository containing the IP(s) to the project." }
      set bCheckIPsPassed 0
   }

}

if { $bCheckIPsPassed != 1 } {
  common::send_msg_id "BD_TCL-1003" "WARNING" "Will not continue with creation of design due to the error(s) above."
  return 3
}

##################################################################
# DESIGN PROCs
##################################################################



# Procedure to create entire design; Provide argument to make
# procedure reusable. If parentCell is "", will use root.
proc create_root_design { parentCell } {

  variable script_folder
  variable design_name

  if { $parentCell eq "" } {
     set parentCell [get_bd_cells /]
  }

  # Get object for parentCell
  set parentObj [get_bd_cells $parentCell]
  if { $parentObj == "" } {
     catch {common::send_msg_id "BD_TCL-100" "ERROR" "Unable to find parent cell <$parentCell>!"}
     return
  }

  # Make sure parentObj is hier blk
  set parentType [get_property TYPE $parentObj]
  if { $parentType ne "hier" } {
     catch {common::send_msg_id "BD_TCL-101" "ERROR" "Parent <$parentObj> has TYPE = <$parentType>. Expected to be <hier>."}
     return
  }

  # Save current instance; Restore later
  set oldCurInst [current_bd_instance .]

  # Set parent object as current
  current_bd_instance $parentObj


  # Create interface ports

  # Create ports

  # Create instance: zynq_ultra_ps_e_0, and set properties
  set zynq_ultra_ps_e_0 [ create_bd_cell -type ip -vlnv xilinx.com:ip:zynq_ultra_ps_e:3.2 zynq_ultra_ps_e_0 ]
# #TE_MOD#_Add next line#
  apply_bd_automation -rule xilinx.com:bd_rule:zynq_ultra_ps_e -config {apply_board_preset "1" }  [get_bd_cells zynq_ultra_ps_e_0]
# #TE_MOD#_Add next line#
  set tcl_ext [];if { [catch {set tcl_ext [glob -join -dir ${TE::BOARDDEF_PATH}/preset_extension/ *_preset.tcl]}] } {};foreach preset_ext $tcl_ext { source  $preset_ext};
# #TE_MOD#   set_property -dict [ list \
# #TE_MOD#  ] $zynq_ultra_ps_e_0

# #TE_MOD#    CONFIG.USB1_BOARD_INTERFACE {custom} \
# #TE_MOD#    CONFIG.USB0_BOARD_INTERFACE {custom} \
# #TE_MOD#    CONFIG.UART1_BOARD_INTERFACE {custom} \
# #TE_MOD#    CONFIG.UART0_BOARD_INTERFACE {custom} \
# #TE_MOD#    CONFIG.TTC3_BOARD_INTERFACE {custom} \
# #TE_MOD#    CONFIG.TTC2_BOARD_INTERFACE {custom} \
# #TE_MOD#    CONFIG.TTC1_BOARD_INTERFACE {custom} \
# #TE_MOD#    CONFIG.TTC0_BOARD_INTERFACE {custom} \
# #TE_MOD#    CONFIG.TRACE_BOARD_INTERFACE {custom} \
# #TE_MOD#    CONFIG.SWDT1_BOARD_INTERFACE {custom} \
# #TE_MOD#    CONFIG.SWDT0_BOARD_INTERFACE {custom} \
# #TE_MOD#    CONFIG.SUBPRESET2 {Custom} \
# #TE_MOD#    CONFIG.SPI1_BOARD_INTERFACE {custom} \
# #TE_MOD#    CONFIG.SPI0_BOARD_INTERFACE {custom} \
# #TE_MOD#    CONFIG.SD1_BOARD_INTERFACE {custom} \
# #TE_MOD#    CONFIG.SD0_BOARD_INTERFACE {custom} \
# #TE_MOD#    CONFIG.SATA_BOARD_INTERFACE {custom} \
# #TE_MOD#    CONFIG.QSPI_BOARD_INTERFACE {custom} \
# #TE_MOD#    CONFIG.PSU__VIDEO_REF_CLK__FREQMHZ {33.333} \
# #TE_MOD#    CONFIG.PSU__VIDEO_REF_CLK__ENABLE {0} \
# #TE_MOD#    CONFIG.PSU__USE__VIDEO {0} \
# #TE_MOD#    CONFIG.PSU__USE__USB3_1_HUB {0} \
# #TE_MOD#    CONFIG.PSU__USE__USB3_0_HUB {0} \
# #TE_MOD#    CONFIG.PSU__USE__S_AXI_GP6 {0} \
# #TE_MOD#    CONFIG.PSU__USE__S_AXI_GP5 {0} \
# #TE_MOD#    CONFIG.PSU__USE__S_AXI_GP4 {0} \
# #TE_MOD#    CONFIG.PSU__USE__S_AXI_GP3 {0} \
# #TE_MOD#    CONFIG.PSU__USE__S_AXI_GP2 {0} \
# #TE_MOD#    CONFIG.PSU__USE__S_AXI_GP1 {0} \
# #TE_MOD#    CONFIG.PSU__USE__S_AXI_GP0 {0} \
# #TE_MOD#    CONFIG.PSU__USE__S_AXI_ACP {0} \
# #TE_MOD#    CONFIG.PSU__USE__S_AXI_ACE {0} \
# #TE_MOD#    CONFIG.PSU__USE__STM {0} \
# #TE_MOD#    CONFIG.PSU__USE__RTC {0} \
# #TE_MOD#    CONFIG.PSU__USE__RST3 {0} \
# #TE_MOD#    CONFIG.PSU__USE__RST2 {0} \
# #TE_MOD#    CONFIG.PSU__USE__RST1 {0} \
# #TE_MOD#    CONFIG.PSU__USE__RST0 {0} \
# #TE_MOD#    CONFIG.PSU__USE__RPU_LEGACY_INTERRUPT {0} \
# #TE_MOD#    CONFIG.PSU__USE__PROC_EVENT_BUS {0} \
# #TE_MOD#    CONFIG.PSU__USE__M_AXI_GP2 {1} \
# #TE_MOD#    CONFIG.PSU__USE__M_AXI_GP1 {0} \
# #TE_MOD#    CONFIG.PSU__USE__M_AXI_GP0 {0} \
# #TE_MOD#    CONFIG.PSU__USE__IRQ1 {0} \
# #TE_MOD#    CONFIG.PSU__USE__IRQ0 {0} \
# #TE_MOD#    CONFIG.PSU__USE__IRQ {0} \
# #TE_MOD#    CONFIG.PSU__USE__GDMA {0} \
# #TE_MOD#    CONFIG.PSU__USE__FTM {0} \
# #TE_MOD#    CONFIG.PSU__USE__FABRIC__RST {1} \
# #TE_MOD#    CONFIG.PSU__USE__EVENT_RPU {0} \
# #TE_MOD#    CONFIG.PSU__USE__DEBUG__TEST {0} \
# #TE_MOD#    CONFIG.PSU__USE__DDR_INTF_REQUESTED {0} \
# #TE_MOD#    CONFIG.PSU__USE__CROSS_TRIGGER {0} \
# #TE_MOD#    CONFIG.PSU__USE__CLK3 {0} \
# #TE_MOD#    CONFIG.PSU__USE__CLK2 {0} \
# #TE_MOD#    CONFIG.PSU__USE__CLK1 {0} \
# #TE_MOD#    CONFIG.PSU__USE__CLK0 {0} \
# #TE_MOD#    CONFIG.PSU__USE__CLK {0} \
# #TE_MOD#    CONFIG.PSU__USE__AUDIO {0} \
# #TE_MOD#    CONFIG.PSU__USE__APU_LEGACY_INTERRUPT {0} \
# #TE_MOD#    CONFIG.PSU__USE__ADMA {0} \
# #TE_MOD#    CONFIG.PSU__USE_DIFF_RW_CLK_GP6 {0} \
# #TE_MOD#    CONFIG.PSU__USE_DIFF_RW_CLK_GP5 {0} \
# #TE_MOD#    CONFIG.PSU__USE_DIFF_RW_CLK_GP4 {0} \
# #TE_MOD#    CONFIG.PSU__USE_DIFF_RW_CLK_GP3 {0} \
# #TE_MOD#    CONFIG.PSU__USE_DIFF_RW_CLK_GP2 {0} \
# #TE_MOD#    CONFIG.PSU__USE_DIFF_RW_CLK_GP1 {0} \
# #TE_MOD#    CONFIG.PSU__USE_DIFF_RW_CLK_GP0 {0} \
# #TE_MOD#    CONFIG.PSU__USB3_1__PERIPHERAL__ENABLE {0} \
# #TE_MOD#    CONFIG.PSU__USB3_1__EMIO__ENABLE {0} \
# #TE_MOD#    CONFIG.PSU__USB3_0__PERIPHERAL__ENABLE {0} \
# #TE_MOD#    CONFIG.PSU__USB3_0__EMIO__ENABLE {0} \
# #TE_MOD#    CONFIG.PSU__USB2_1__EMIO__ENABLE {0} \
# #TE_MOD#    CONFIG.PSU__USB2_0__EMIO__ENABLE {0} \
# #TE_MOD#    CONFIG.PSU__USB1__PERIPHERAL__ENABLE {0} \
# #TE_MOD#    CONFIG.PSU__USB1_COHERENCY {0} \
# #TE_MOD#    CONFIG.PSU__USB0__PERIPHERAL__ENABLE {0} \
# #TE_MOD#    CONFIG.PSU__USB0_COHERENCY {0} \
# #TE_MOD#    CONFIG.PSU__UART1__PERIPHERAL__ENABLE {0} \
# #TE_MOD#    CONFIG.PSU__UART1__MODEM__ENABLE {0} \
# #TE_MOD#    CONFIG.PSU__UART0__PERIPHERAL__IO {MIO 42 .. 43} \
# #TE_MOD#    CONFIG.PSU__UART0__PERIPHERAL__ENABLE {1} \
# #TE_MOD#    CONFIG.PSU__UART0__MODEM__ENABLE {0} \
# #TE_MOD#    CONFIG.PSU__UART0__BAUD_RATE {115200} \
# #TE_MOD#    CONFIG.PSU__UART0_LOOP_UART1__ENABLE {0} \
# #TE_MOD#    CONFIG.PSU__TTC3__WAVEOUT__ENABLE {0} \
# #TE_MOD#    CONFIG.PSU__TTC3__PERIPHERAL__IO {NA} \
# #TE_MOD#    CONFIG.PSU__TTC3__PERIPHERAL__ENABLE {1} \
# #TE_MOD#    CONFIG.PSU__TTC3__CLOCK__ENABLE {0} \
# #TE_MOD#    CONFIG.PSU__TTC2__WAVEOUT__ENABLE {0} \
# #TE_MOD#    CONFIG.PSU__TTC2__PERIPHERAL__IO {NA} \
# #TE_MOD#    CONFIG.PSU__TTC2__PERIPHERAL__ENABLE {1} \
# #TE_MOD#    CONFIG.PSU__TTC2__CLOCK__ENABLE {0} \
# #TE_MOD#    CONFIG.PSU__TTC1__WAVEOUT__ENABLE {0} \
# #TE_MOD#    CONFIG.PSU__TTC1__PERIPHERAL__IO {NA} \
# #TE_MOD#    CONFIG.PSU__TTC1__PERIPHERAL__ENABLE {1} \
# #TE_MOD#    CONFIG.PSU__TTC1__CLOCK__ENABLE {0} \
# #TE_MOD#    CONFIG.PSU__TTC0__WAVEOUT__ENABLE {0} \
# #TE_MOD#    CONFIG.PSU__TTC0__PERIPHERAL__IO {NA} \
# #TE_MOD#    CONFIG.PSU__TTC0__PERIPHERAL__ENABLE {1} \
# #TE_MOD#    CONFIG.PSU__TTC0__CLOCK__ENABLE {0} \
# #TE_MOD#    CONFIG.PSU__TRISTATE__INVERTED {1} \
# #TE_MOD#    CONFIG.PSU__TRACE__PERIPHERAL__ENABLE {0} \
# #TE_MOD#    CONFIG.PSU__TRACE__INTERNAL_WIDTH {32} \
# #TE_MOD#    CONFIG.PSU__TRACE_PIPELINE_WIDTH {8} \
# #TE_MOD#    CONFIG.PSU__TESTSCAN__PERIPHERAL__ENABLE {0} \
# #TE_MOD#    CONFIG.PSU__TCM1B__POWER__ON {1} \
# #TE_MOD#    CONFIG.PSU__TCM1A__POWER__ON {1} \
# #TE_MOD#    CONFIG.PSU__TCM0B__POWER__ON {1} \
# #TE_MOD#    CONFIG.PSU__TCM0A__POWER__ON {1} \
# #TE_MOD#    CONFIG.PSU__SWDT1__RESET__ENABLE {0} \
# #TE_MOD#    CONFIG.PSU__SWDT1__PERIPHERAL__IO {NA} \
# #TE_MOD#    CONFIG.PSU__SWDT1__PERIPHERAL__ENABLE {1} \
# #TE_MOD#    CONFIG.PSU__SWDT1__CLOCK__ENABLE {0} \
# #TE_MOD#    CONFIG.PSU__SWDT0__RESET__ENABLE {0} \
# #TE_MOD#    CONFIG.PSU__SWDT0__PERIPHERAL__IO {NA} \
# #TE_MOD#    CONFIG.PSU__SWDT0__PERIPHERAL__ENABLE {1} \
# #TE_MOD#    CONFIG.PSU__SWDT0__CLOCK__ENABLE {0} \
# #TE_MOD#    CONFIG.PSU__SPI1__PERIPHERAL__ENABLE {0} \
# #TE_MOD#    CONFIG.PSU__SPI1__GRP_SS2__ENABLE {0} \
# #TE_MOD#    CONFIG.PSU__SPI1__GRP_SS1__ENABLE {0} \
# #TE_MOD#    CONFIG.PSU__SPI1__GRP_SS0__ENABLE {0} \
# #TE_MOD#    CONFIG.PSU__SPI0__PERIPHERAL__ENABLE {0} \
# #TE_MOD#    CONFIG.PSU__SPI0__GRP_SS2__ENABLE {0} \
# #TE_MOD#    CONFIG.PSU__SPI0__GRP_SS1__ENABLE {0} \
# #TE_MOD#    CONFIG.PSU__SPI0__GRP_SS0__ENABLE {0} \
# #TE_MOD#    CONFIG.PSU__SPI0_LOOP_SPI1__ENABLE {0} \
# #TE_MOD#    CONFIG.PSU__SD1__RESET__ENABLE {0} \
# #TE_MOD#    CONFIG.PSU__SD1__PERIPHERAL__ENABLE {0} \
# #TE_MOD#    CONFIG.PSU__SD1__GRP_WP__ENABLE {0} \
# #TE_MOD#    CONFIG.PSU__SD1__GRP_POW__ENABLE {0} \
# #TE_MOD#    CONFIG.PSU__SD1__GRP_CD__ENABLE {0} \
# #TE_MOD#    CONFIG.PSU__SD1_COHERENCY {0} \
# #TE_MOD#    CONFIG.PSU__SD0__RESET__ENABLE {0} \
# #TE_MOD#    CONFIG.PSU__SD0__PERIPHERAL__ENABLE {0} \
# #TE_MOD#    CONFIG.PSU__SD0__GRP_WP__ENABLE {0} \
# #TE_MOD#    CONFIG.PSU__SD0__GRP_POW__ENABLE {0} \
# #TE_MOD#    CONFIG.PSU__SD0__GRP_CD__ENABLE {0} \
# #TE_MOD#    CONFIG.PSU__SD0_COHERENCY {0} \
# #TE_MOD#    CONFIG.PSU__SAXIGP6__DATA_WIDTH {128} \
# #TE_MOD#    CONFIG.PSU__SAXIGP5__DATA_WIDTH {128} \
# #TE_MOD#    CONFIG.PSU__SAXIGP4__DATA_WIDTH {128} \
# #TE_MOD#    CONFIG.PSU__SAXIGP3__DATA_WIDTH {128} \
# #TE_MOD#    CONFIG.PSU__SAXIGP2__DATA_WIDTH {128} \
# #TE_MOD#    CONFIG.PSU__SAXIGP1__DATA_WIDTH {128} \
# #TE_MOD#    CONFIG.PSU__SAXIGP0__DATA_WIDTH {128} \
# #TE_MOD#    CONFIG.PSU__SATA__PERIPHERAL__ENABLE {0} \
# #TE_MOD#    CONFIG.PSU__SATA__LANE1__ENABLE {0} \
# #TE_MOD#    CONFIG.PSU__SATA__LANE0__ENABLE {0} \
# #TE_MOD#    CONFIG.PSU__RPU__POWER__ON {1} \
# #TE_MOD#    CONFIG.PSU__RPU_COHERENCY {0} \
# #TE_MOD#    CONFIG.PSU__REPORT__DBGLOG {0} \
# #TE_MOD#    CONFIG.PSU__QSPI__PERIPHERAL__MODE {Dual Parallel} \
# #TE_MOD#    CONFIG.PSU__QSPI__PERIPHERAL__IO {MIO 0 .. 12} \
# #TE_MOD#    CONFIG.PSU__QSPI__PERIPHERAL__ENABLE {1} \
# #TE_MOD#    CONFIG.PSU__QSPI__PERIPHERAL__DATA_MODE {x4} \
# #TE_MOD#    CONFIG.PSU__QSPI__GRP_FBCLK__IO {MIO 6} \
# #TE_MOD#    CONFIG.PSU__QSPI__GRP_FBCLK__ENABLE {1} \
# #TE_MOD#    CONFIG.PSU__QSPI_COHERENCY {0} \
# #TE_MOD#    CONFIG.PSU__PSS_REF_CLK__FREQMHZ {33.33333} \
# #TE_MOD#    CONFIG.PSU__PSS_ALT_REF_CLK__FREQMHZ {33.333} \
# #TE_MOD#    CONFIG.PSU__PSS_ALT_REF_CLK__ENABLE {0} \
# #TE_MOD#    CONFIG.PSU__PROTECTION__SUBSYSTEMS {PMU Firmware:PMU} \
# #TE_MOD#    CONFIG.PSU__PROTECTION__SLAVES {LPD;USB3_1_XHCI;FE300000;FE3FFFFF;0|LPD;USB3_1;FF9E0000;FF9EFFFF;0|LPD;USB3_0_XHCI;FE200000;FE2FFFFF;0|LPD;USB3_0;FF9D0000;FF9DFFFF;0|LPD;UART1;FF010000;FF01FFFF;0|LPD;UART0;FF000000;FF00FFFF;1|LPD;TTC3;FF140000;FF14FFFF;1|LPD;TTC2;FF130000;FF13FFFF;1|LPD;TTC1;FF120000;FF12FFFF;1|LPD;TTC0;FF110000;FF11FFFF;1|FPD;SWDT1;FD4D0000;FD4DFFFF;1|LPD;SWDT0;FF150000;FF15FFFF;1|LPD;SPI1;FF050000;FF05FFFF;0|LPD;SPI0;FF040000;FF04FFFF;0|FPD;SMMU_REG;FD5F0000;FD5FFFFF;1|FPD;SMMU;FD800000;FDFFFFFF;1|FPD;SIOU;FD3D0000;FD3DFFFF;1|FPD;SERDES;FD400000;FD47FFFF;1|LPD;SD1;FF170000;FF17FFFF;0|LPD;SD0;FF160000;FF16FFFF;0|FPD;SATA;FD0C0000;FD0CFFFF;0|LPD;RTC;FFA60000;FFA6FFFF;1|LPD;RSA_CORE;FFCE0000;FFCEFFFF;1|LPD;RPU;FF9A0000;FF9AFFFF;1|FPD;RCPU_GIC;F9000000;F900FFFF;1|LPD;R5_TCM_RAM_GLOBAL;FFE00000;FFE3FFFF;1|LPD;R5_1_Instruction_Cache;FFEC0000;FFECFFFF;1|LPD;R5_1_Data_Cache;FFED0000;FFEDFFFF;1|LPD;R5_1_BTCM_GLOBAL;FFEB0000;FFEBFFFF;1|LPD;R5_1_ATCM_GLOBAL;FFE90000;FFE9FFFF;1|LPD;R5_0_Instruction_Cache;FFE40000;FFE4FFFF;1|LPD;R5_0_Data_Cache;FFE50000;FFE5FFFF;1|LPD;R5_0_BTCM_GLOBAL;FFE20000;FFE2FFFF;1|LPD;R5_0_ATCM_GLOBAL;FFE00000;FFE0FFFF;1|LPD;QSPI_Linear_Address;C0000000;DFFFFFFF;1|LPD;QSPI;FF0F0000;FF0FFFFF;1|LPD;PMU_RAM;FFDC0000;FFDDFFFF;1|LPD;PMU_GLOBAL;FFD80000;FFDBFFFF;1|FPD;PCIE_MAIN;FD0E0000;FD0EFFFF;0|FPD;PCIE_LOW;E0000000;EFFFFFFF;0|FPD;PCIE_HIGH2;8000000000;BFFFFFFFFF;0|FPD;PCIE_HIGH1;600000000;7FFFFFFFF;0|FPD;PCIE_DMA;FD0F0000;FD0FFFFF;0|FPD;PCIE_ATTRIB;FD480000;FD48FFFF;0|LPD;OCM_XMPU_CFG;FFA70000;FFA7FFFF;1|LPD;OCM_SLCR;FF960000;FF96FFFF;1|OCM;OCM;FFFC0000;FFFFFFFF;1|LPD;NAND;FF100000;FF10FFFF;0|LPD;MBISTJTAG;FFCF0000;FFCFFFFF;1|LPD;LPD_XPPU_SINK;FF9C0000;FF9CFFFF;1|LPD;LPD_XPPU;FF980000;FF98FFFF;1|LPD;LPD_SLCR_SECURE;FF4B0000;FF4DFFFF;1|LPD;LPD_SLCR;FF410000;FF4AFFFF;1|LPD;LPD_GPV;FE100000;FE1FFFFF;1|LPD;LPD_DMA_7;FFAF0000;FFAFFFFF;1|LPD;LPD_DMA_6;FFAE0000;FFAEFFFF;1|LPD;LPD_DMA_5;FFAD0000;FFADFFFF;1|LPD;LPD_DMA_4;FFAC0000;FFACFFFF;1|LPD;LPD_DMA_3;FFAB0000;FFABFFFF;1|LPD;LPD_DMA_2;FFAA0000;FFAAFFFF;1|LPD;LPD_DMA_1;FFA90000;FFA9FFFF;1|LPD;LPD_DMA_0;FFA80000;FFA8FFFF;1|LPD;IPI_CTRL;FF380000;FF3FFFFF;1|LPD;IOU_SLCR;FF180000;FF23FFFF;1|LPD;IOU_SECURE_SLCR;FF240000;FF24FFFF;1|LPD;IOU_SCNTRS;FF260000;FF26FFFF;1|LPD;IOU_SCNTR;FF250000;FF25FFFF;1|LPD;IOU_GPV;FE000000;FE0FFFFF;1|LPD;I2C1;FF030000;FF03FFFF;0|LPD;I2C0;FF020000;FF02FFFF;0|FPD;GPU;FD4B0000;FD4BFFFF;1|LPD;GPIO;FF0A0000;FF0AFFFF;1|LPD;GEM3;FF0E0000;FF0EFFFF;0|LPD;GEM2;FF0D0000;FF0DFFFF;0|LPD;GEM1;FF0C0000;FF0CFFFF;0|LPD;GEM0;FF0B0000;FF0BFFFF;0|FPD;FPD_XMPU_SINK;FD4F0000;FD4FFFFF;1|FPD;FPD_XMPU_CFG;FD5D0000;FD5DFFFF;1|FPD;FPD_SLCR_SECURE;FD690000;FD6CFFFF;1|FPD;FPD_SLCR;FD610000;FD68FFFF;1|FPD;FPD_GPV;FD700000;FD7FFFFF;1|FPD;FPD_DMA_CH7;FD570000;FD57FFFF;1|FPD;FPD_DMA_CH6;FD560000;FD56FFFF;1|FPD;FPD_DMA_CH5;FD550000;FD55FFFF;1|FPD;FPD_DMA_CH4;FD540000;FD54FFFF;1|FPD;FPD_DMA_CH3;FD530000;FD53FFFF;1|FPD;FPD_DMA_CH2;FD520000;FD52FFFF;1|FPD;FPD_DMA_CH1;FD510000;FD51FFFF;1|FPD;FPD_DMA_CH0;FD500000;FD50FFFF;1|LPD;EFUSE;FFCC0000;FFCCFFFF;1|FPD;Display Port;FD4A0000;FD4AFFFF;0|FPD;DPDMA;FD4C0000;FD4CFFFF;0|FPD;DDR_XMPU5_CFG;FD050000;FD05FFFF;1|FPD;DDR_XMPU4_CFG;FD040000;FD04FFFF;1|FPD;DDR_XMPU3_CFG;FD030000;FD03FFFF;1|FPD;DDR_XMPU2_CFG;FD020000;FD02FFFF;1|FPD;DDR_XMPU1_CFG;FD010000;FD01FFFF;1|FPD;DDR_XMPU0_CFG;FD000000;FD00FFFF;1|FPD;DDR_QOS_CTRL;FD090000;FD09FFFF;1|FPD;DDR_PHY;FD080000;FD08FFFF;1|DDR;DDR_LOW;0;7FFFFFFF;1|DDR;DDR_HIGH;800000000;87FFFFFFF;1|FPD;DDDR_CTRL;FD070000;FD070FFF;1|LPD;Coresight;FE800000;FEFFFFFF;1|LPD;CSU_DMA;FFC80000;FFC9FFFF;1|LPD;CSU;FFCA0000;FFCAFFFF;0|LPD;CRL_APB;FF5E0000;FF85FFFF;1|FPD;CRF_APB;FD1A0000;FD2DFFFF;1|FPD;CCI_REG;FD5E0000;FD5EFFFF;1|FPD;CCI_GPV;FD6E0000;FD6EFFFF;1|LPD;CAN1;FF070000;FF07FFFF;0|LPD;CAN0;FF060000;FF06FFFF;0|FPD;APU;FD5C0000;FD5CFFFF;1|LPD;APM_INTC_IOU;FFA20000;FFA2FFFF;1|LPD;APM_FPD_LPD;FFA30000;FFA3FFFF;1|FPD;APM_5;FD490000;FD49FFFF;1|FPD;APM_0;FD0B0000;FD0BFFFF;1|LPD;APM2;FFA10000;FFA1FFFF;1|LPD;APM1;FFA00000;FFA0FFFF;1|LPD;AMS;FFA50000;FFA5FFFF;1|FPD;AFI_5;FD3B0000;FD3BFFFF;1|FPD;AFI_4;FD3A0000;FD3AFFFF;1|FPD;AFI_3;FD390000;FD39FFFF;1|FPD;AFI_2;FD380000;FD38FFFF;1|FPD;AFI_1;FD370000;FD37FFFF;1|FPD;AFI_0;FD360000;FD36FFFF;1|LPD;AFIFM6;FF9B0000;FF9BFFFF;1|FPD;ACPU_GIC;F9000000;F907FFFF;1} \
# #TE_MOD#    CONFIG.PSU__PROTECTION__PRESUBSYSTEMS {NONE} \
# #TE_MOD#    CONFIG.PSU__PROTECTION__OCM_SEGMENTS {NONE} \
# #TE_MOD#    CONFIG.PSU__PROTECTION__MASTERS_TZ {GEM0:NonSecure|SD1:NonSecure|GEM2:NonSecure|GEM1:NonSecure|GEM3:NonSecure|PCIe:NonSecure|DP:NonSecure|NAND:NonSecure|GPU:NonSecure|USB1:NonSecure|USB0:NonSecure|LDMA:NonSecure|FDMA:NonSecure|QSPI:NonSecure|SD0:NonSecure} \
# #TE_MOD#    CONFIG.PSU__PROTECTION__MASTERS {USB1:NonSecure;0|USB0:NonSecure;0|S_AXI_LPD:NA;0|S_AXI_HPC1_FPD:NA;0|S_AXI_HPC0_FPD:NA;0|S_AXI_HP3_FPD:NA;0|S_AXI_HP2_FPD:NA;0|S_AXI_HP1_FPD:NA;0|S_AXI_HP0_FPD:NA;0|S_AXI_ACP:NA;0|S_AXI_ACE:NA;0|SD1:NonSecure;0|SD0:NonSecure;0|SATA1:NonSecure;0|SATA0:NonSecure;0|RPU1:Secure;1|RPU0:Secure;1|QSPI:NonSecure;1|PMU:NA;1|PCIe:NonSecure;0|NAND:NonSecure;0|LDMA:NonSecure;1|GPU:NonSecure;1|GEM3:NonSecure;0|GEM2:NonSecure;0|GEM1:NonSecure;0|GEM0:NonSecure;0|FDMA:NonSecure;1|DP:NonSecure;0|DAP:NA;1|Coresight:NA;1|CSU:NA;1|APU:NA;1} \
# #TE_MOD#    CONFIG.PSU__PROTECTION__LPD_SEGMENTS {SA:0xFF980000 ;SIZE:64;UNIT:KB ;RegionTZ:Secure ;WrAllowed:Read/Write;subsystemId:PMU Firmware|SA:0xFF5E0000 ;SIZE:2560;UNIT:KB ;RegionTZ:Secure ;WrAllowed:Read/Write;subsystemId:PMU Firmware|SA:0xFFCC0000 ;SIZE:64;UNIT:KB ;RegionTZ:Secure ;WrAllowed:Read/Write;subsystemId:PMU Firmware|SA:0xFF180000 ;SIZE:768;UNIT:KB ;RegionTZ:Secure ;WrAllowed:Read/Write;subsystemId:PMU Firmware|SA:0xFF410000 ;SIZE:640;UNIT:KB ;RegionTZ:Secure ;WrAllowed:Read/Write;subsystemId:PMU Firmware|SA:0xFFA70000 ;SIZE:64;UNIT:KB ;RegionTZ:Secure ;WrAllowed:Read/Write;subsystemId:PMU Firmware|SA:0xFF9A0000 ;SIZE:64;UNIT:KB ;RegionTZ:Secure ;WrAllowed:Read/Write;subsystemId:PMU Firmware} \
# #TE_MOD#    CONFIG.PSU__PROTECTION__LOCK_UNUSED_SEGMENTS {0} \
# #TE_MOD#    CONFIG.PSU__PROTECTION__FPD_SEGMENTS {SA:0xFD1A0000 ;SIZE:1280;UNIT:KB ;RegionTZ:Secure ;WrAllowed:Read/Write;subsystemId:PMU Firmware|SA:0xFD000000 ;SIZE:64;UNIT:KB ;RegionTZ:Secure ;WrAllowed:Read/Write;subsystemId:PMU Firmware|SA:0xFD010000 ;SIZE:64;UNIT:KB ;RegionTZ:Secure ;WrAllowed:Read/Write;subsystemId:PMU Firmware|SA:0xFD020000 ;SIZE:64;UNIT:KB ;RegionTZ:Secure ;WrAllowed:Read/Write;subsystemId:PMU Firmware|SA:0xFD030000 ;SIZE:64;UNIT:KB ;RegionTZ:Secure ;WrAllowed:Read/Write;subsystemId:PMU Firmware|SA:0xFD040000 ;SIZE:64;UNIT:KB ;RegionTZ:Secure ;WrAllowed:Read/Write;subsystemId:PMU Firmware|SA:0xFD050000 ;SIZE:64;UNIT:KB ;RegionTZ:Secure ;WrAllowed:Read/Write;subsystemId:PMU Firmware|SA:0xFD610000 ;SIZE:512;UNIT:KB ;RegionTZ:Secure ;WrAllowed:Read/Write;subsystemId:PMU Firmware|SA:0xFD5D0000 ;SIZE:64;UNIT:KB ;RegionTZ:Secure ;WrAllowed:Read/Write;subsystemId:PMU Firmware} \
# #TE_MOD#    CONFIG.PSU__PROTECTION__ENABLE {0} \
# #TE_MOD#    CONFIG.PSU__PROTECTION__DEBUG {0} \
# #TE_MOD#    CONFIG.PSU__PROTECTION__DDR_SEGMENTS {NONE} \
# #TE_MOD#    CONFIG.PSU__PRESET_APPLIED {0} \
# #TE_MOD#    CONFIG.PSU__PMU__PLERROR__ENABLE {0} \
# #TE_MOD#    CONFIG.PSU__PMU__PERIPHERAL__ENABLE {0} \
# #TE_MOD#    CONFIG.PSU__PMU__GPO5__ENABLE {0} \
# #TE_MOD#    CONFIG.PSU__PMU__GPO4__ENABLE {0} \
# #TE_MOD#    CONFIG.PSU__PMU__GPO3__ENABLE {0} \
# #TE_MOD#    CONFIG.PSU__PMU__GPO2__ENABLE {0} \
# #TE_MOD#    CONFIG.PSU__PMU__GPO1__ENABLE {0} \
# #TE_MOD#    CONFIG.PSU__PMU__GPO0__ENABLE {0} \
# #TE_MOD#    CONFIG.PSU__PMU__GPI5__ENABLE {0} \
# #TE_MOD#    CONFIG.PSU__PMU__GPI4__ENABLE {0} \
# #TE_MOD#    CONFIG.PSU__PMU__GPI3__ENABLE {0} \
# #TE_MOD#    CONFIG.PSU__PMU__GPI2__ENABLE {0} \
# #TE_MOD#    CONFIG.PSU__PMU__GPI1__ENABLE {0} \
# #TE_MOD#    CONFIG.PSU__PMU__GPI0__ENABLE {0} \
# #TE_MOD#    CONFIG.PSU__PMU__EMIO_GPO__ENABLE {0} \
# #TE_MOD#    CONFIG.PSU__PMU__EMIO_GPI__ENABLE {0} \
# #TE_MOD#    CONFIG.PSU__PMU__AIBACK__ENABLE {0} \
# #TE_MOD#    CONFIG.PSU__PMU_COHERENCY {0} \
# #TE_MOD#    CONFIG.PSU__PL__POWER__ON {1} \
# #TE_MOD#    CONFIG.PSU__PL_CLK3_BUF {FALSE} \
# #TE_MOD#    CONFIG.PSU__PL_CLK2_BUF {FALSE} \
# #TE_MOD#    CONFIG.PSU__PL_CLK1_BUF {FALSE} \
# #TE_MOD#    CONFIG.PSU__PL_CLK0_BUF {TRUE} \
# #TE_MOD#    CONFIG.PSU__PJTAG__PERIPHERAL__ENABLE {0} \
# #TE_MOD#    CONFIG.PSU__PCIE__VENDOR_ID {} \
# #TE_MOD#    CONFIG.PSU__PCIE__UNCORRECTABL_INT_ERR {0} \
# #TE_MOD#    CONFIG.PSU__PCIE__TLP_PREFIX_BLOCKED {0} \
# #TE_MOD#    CONFIG.PSU__PCIE__SURPRISE_DOWN {0} \
# #TE_MOD#    CONFIG.PSU__PCIE__SUBSYSTEM_VENDOR_ID {} \
# #TE_MOD#    CONFIG.PSU__PCIE__SUBSYSTEM_ID {} \
# #TE_MOD#    CONFIG.PSU__PCIE__REVISION_ID {} \
# #TE_MOD#    CONFIG.PSU__PCIE__RESET__POLARITY {Active Low} \
# #TE_MOD#    CONFIG.PSU__PCIE__RECEIVER_OVERFLOW {0} \
# #TE_MOD#    CONFIG.PSU__PCIE__RECEIVER_ERR {0} \
# #TE_MOD#    CONFIG.PSU__PCIE__PERM_ROOT_ERR_UPDATE {0} \
# #TE_MOD#    CONFIG.PSU__PCIE__PERIPHERAL__ROOTPORT_ENABLE {0} \
# #TE_MOD#    CONFIG.PSU__PCIE__PERIPHERAL__ENDPOINT_ENABLE {1} \
# #TE_MOD#    CONFIG.PSU__PCIE__PERIPHERAL__ENABLE {0} \
# #TE_MOD#    CONFIG.PSU__PCIE__MULTIHEADER {0} \
# #TE_MOD#    CONFIG.PSU__PCIE__MSI_CAPABILITY {0} \
# #TE_MOD#    CONFIG.PSU__PCIE__MSI_64BIT_ADDR_CAPABLE {0} \
# #TE_MOD#    CONFIG.PSU__PCIE__MSIX_TABLE_SIZE {0} \
# #TE_MOD#    CONFIG.PSU__PCIE__MSIX_TABLE_OFFSET {0} \
# #TE_MOD#    CONFIG.PSU__PCIE__MSIX_PBA_OFFSET {0} \
# #TE_MOD#    CONFIG.PSU__PCIE__MSIX_PBA_BAR_INDICATOR {} \
# #TE_MOD#    CONFIG.PSU__PCIE__MSIX_CAPABILITY {0} \
# #TE_MOD#    CONFIG.PSU__PCIE__MSIX_BAR_INDICATOR {} \
# #TE_MOD#    CONFIG.PSU__PCIE__MC_BLOCKED_TLP {0} \
# #TE_MOD#    CONFIG.PSU__PCIE__LANE3__ENABLE {0} \
# #TE_MOD#    CONFIG.PSU__PCIE__LANE2__ENABLE {0} \
# #TE_MOD#    CONFIG.PSU__PCIE__LANE1__ENABLE {0} \
# #TE_MOD#    CONFIG.PSU__PCIE__LANE0__ENABLE {0} \
# #TE_MOD#    CONFIG.PSU__PCIE__INTX_GENERATION {0} \
# #TE_MOD#    CONFIG.PSU__PCIE__HEADER_LOG_OVERFLOW {0} \
# #TE_MOD#    CONFIG.PSU__PCIE__FLOW_CONTROL_PROTOCOL_ERR {0} \
# #TE_MOD#    CONFIG.PSU__PCIE__FLOW_CONTROL_ERR {0} \
# #TE_MOD#    CONFIG.PSU__PCIE__EROM_VAL {} \
# #TE_MOD#    CONFIG.PSU__PCIE__EROM_ENABLE {0} \
# #TE_MOD#    CONFIG.PSU__PCIE__ECRC_GEN {0} \
# #TE_MOD#    CONFIG.PSU__PCIE__ECRC_ERR {0} \
# #TE_MOD#    CONFIG.PSU__PCIE__ECRC_CHECK {0} \
# #TE_MOD#    CONFIG.PSU__PCIE__DEVICE_ID {} \
# #TE_MOD#    CONFIG.PSU__PCIE__CRS_SW_VISIBILITY {0} \
# #TE_MOD#    CONFIG.PSU__PCIE__CORRECTABLE_INT_ERR {0} \
# #TE_MOD#    CONFIG.PSU__PCIE__COMPLTION_TIMEOUT {0} \
# #TE_MOD#    CONFIG.PSU__PCIE__COMPLETER_ABORT {0} \
# #TE_MOD#    CONFIG.PSU__PCIE__CLASS_CODE_VALUE {} \
# #TE_MOD#    CONFIG.PSU__PCIE__CLASS_CODE_SUB {} \
# #TE_MOD#    CONFIG.PSU__PCIE__CLASS_CODE_INTERFACE {} \
# #TE_MOD#    CONFIG.PSU__PCIE__CLASS_CODE_BASE {} \
# #TE_MOD#    CONFIG.PSU__PCIE__BAR5_VAL {} \
# #TE_MOD#    CONFIG.PSU__PCIE__BAR5_PREFETCHABLE {0} \
# #TE_MOD#    CONFIG.PSU__PCIE__BAR5_ENABLE {0} \
# #TE_MOD#    CONFIG.PSU__PCIE__BAR5_64BIT {0} \
# #TE_MOD#    CONFIG.PSU__PCIE__BAR4_VAL {} \
# #TE_MOD#    CONFIG.PSU__PCIE__BAR4_PREFETCHABLE {0} \
# #TE_MOD#    CONFIG.PSU__PCIE__BAR4_ENABLE {0} \
# #TE_MOD#    CONFIG.PSU__PCIE__BAR4_64BIT {0} \
# #TE_MOD#    CONFIG.PSU__PCIE__BAR3_VAL {} \
# #TE_MOD#    CONFIG.PSU__PCIE__BAR3_PREFETCHABLE {0} \
# #TE_MOD#    CONFIG.PSU__PCIE__BAR3_ENABLE {0} \
# #TE_MOD#    CONFIG.PSU__PCIE__BAR3_64BIT {0} \
# #TE_MOD#    CONFIG.PSU__PCIE__BAR2_VAL {} \
# #TE_MOD#    CONFIG.PSU__PCIE__BAR2_PREFETCHABLE {0} \
# #TE_MOD#    CONFIG.PSU__PCIE__BAR2_ENABLE {0} \
# #TE_MOD#    CONFIG.PSU__PCIE__BAR2_64BIT {0} \
# #TE_MOD#    CONFIG.PSU__PCIE__BAR1_VAL {} \
# #TE_MOD#    CONFIG.PSU__PCIE__BAR1_PREFETCHABLE {0} \
# #TE_MOD#    CONFIG.PSU__PCIE__BAR1_ENABLE {0} \
# #TE_MOD#    CONFIG.PSU__PCIE__BAR1_64BIT {0} \
# #TE_MOD#    CONFIG.PSU__PCIE__BAR0_VAL {} \
# #TE_MOD#    CONFIG.PSU__PCIE__BAR0_PREFETCHABLE {0} \
# #TE_MOD#    CONFIG.PSU__PCIE__BAR0_ENABLE {0} \
# #TE_MOD#    CONFIG.PSU__PCIE__BAR0_64BIT {0} \
# #TE_MOD#    CONFIG.PSU__PCIE__ATOMICOP_EGRESS_BLOCKED {0} \
# #TE_MOD#    CONFIG.PSU__PCIE__AER_CAPABILITY {0} \
# #TE_MOD#    CONFIG.PSU__PCIE__ACS_VIOLATION {0} \
# #TE_MOD#    CONFIG.PSU__PCIE__ACS_VIOLAION {0} \
# #TE_MOD#    CONFIG.PSU__OVERRIDE__BASIC_CLOCK {0} \
# #TE_MOD#    CONFIG.PSU__OCM_BANK3__POWER__ON {1} \
# #TE_MOD#    CONFIG.PSU__OCM_BANK2__POWER__ON {1} \
# #TE_MOD#    CONFIG.PSU__OCM_BANK1__POWER__ON {1} \
# #TE_MOD#    CONFIG.PSU__OCM_BANK0__POWER__ON {1} \
# #TE_MOD#    CONFIG.PSU__NUM_FABRIC_RESETS {1} \
# #TE_MOD#    CONFIG.PSU__NAND__READY_BUSY__ENABLE {0} \
# #TE_MOD#    CONFIG.PSU__NAND__READY1_BUSY__ENABLE {0} \
# #TE_MOD#    CONFIG.PSU__NAND__READY0_BUSY__ENABLE {0} \
# #TE_MOD#    CONFIG.PSU__NAND__PERIPHERAL__ENABLE {0} \
# #TE_MOD#    CONFIG.PSU__NAND__DATA_STROBE__ENABLE {0} \
# #TE_MOD#    CONFIG.PSU__NAND__CHIP_ENABLE__ENABLE {0} \
# #TE_MOD#    CONFIG.PSU__NAND_COHERENCY {0} \
# #TE_MOD#    CONFIG.PSU__M_AXI_GP2_SUPPORTS_NARROW_BURST {1} \
# #TE_MOD#    CONFIG.PSU__M_AXI_GP1_SUPPORTS_NARROW_BURST {1} \
# #TE_MOD#    CONFIG.PSU__M_AXI_GP0_SUPPORTS_NARROW_BURST {1} \
# #TE_MOD#    CONFIG.PSU__MAXIGP2__DATA_WIDTH {32} \
# #TE_MOD#    CONFIG.PSU__MAXIGP1__DATA_WIDTH {128} \
# #TE_MOD#    CONFIG.PSU__MAXIGP0__DATA_WIDTH {128} \
# #TE_MOD#    CONFIG.PSU__LPD_SLCR__CSUPMU__FREQMHZ {100} \
# #TE_MOD#    CONFIG.PSU__LPD_SLCR__CSUPMU__ACT_FREQMHZ {100} \
# #TE_MOD#    CONFIG.PSU__LPD_SLCR__CSUPMU_WDT_CLK_SEL__SELECT {APB} \
# #TE_MOD#    CONFIG.PSU__LPDMA7_COHERENCY {0} \
# #TE_MOD#    CONFIG.PSU__LPDMA6_COHERENCY {0} \
# #TE_MOD#    CONFIG.PSU__LPDMA5_COHERENCY {0} \
# #TE_MOD#    CONFIG.PSU__LPDMA4_COHERENCY {0} \
# #TE_MOD#    CONFIG.PSU__LPDMA3_COHERENCY {0} \
# #TE_MOD#    CONFIG.PSU__LPDMA2_COHERENCY {0} \
# #TE_MOD#    CONFIG.PSU__LPDMA1_COHERENCY {0} \
# #TE_MOD#    CONFIG.PSU__LPDMA0_COHERENCY {0} \
# #TE_MOD#    CONFIG.PSU__L2_BANK0__POWER__ON {1} \
# #TE_MOD#    CONFIG.PSU__IRQ_P2F__INTF_PPD_CCI__INT {0} \
# #TE_MOD#    CONFIG.PSU__IRQ_P2F__INTF_FPD_SMMU__INT {0} \
# #TE_MOD#    CONFIG.PSU__IRQ_P2F_XMPU_LPD__INT {0} \
# #TE_MOD#    CONFIG.PSU__IRQ_P2F_XMPU_FPD__INT {0} \
# #TE_MOD#    CONFIG.PSU__IRQ_P2F_USB3_PMU_WAKEUP__INT {0} \
# #TE_MOD#    CONFIG.PSU__IRQ_P2F_USB3_OTG__INT1 {0} \
# #TE_MOD#    CONFIG.PSU__IRQ_P2F_USB3_OTG__INT0 {0} \
# #TE_MOD#    CONFIG.PSU__IRQ_P2F_USB3_ENDPOINT__INT1 {0} \
# #TE_MOD#    CONFIG.PSU__IRQ_P2F_USB3_ENDPOINT__INT0 {0} \
# #TE_MOD#    CONFIG.PSU__IRQ_P2F_UART1__INT {0} \
# #TE_MOD#    CONFIG.PSU__IRQ_P2F_UART0__INT {0} \
# #TE_MOD#    CONFIG.PSU__IRQ_P2F_TTC3__INT2 {0} \
# #TE_MOD#    CONFIG.PSU__IRQ_P2F_TTC3__INT1 {0} \
# #TE_MOD#    CONFIG.PSU__IRQ_P2F_TTC3__INT0 {0} \
# #TE_MOD#    CONFIG.PSU__IRQ_P2F_TTC2__INT2 {0} \
# #TE_MOD#    CONFIG.PSU__IRQ_P2F_TTC2__INT1 {0} \
# #TE_MOD#    CONFIG.PSU__IRQ_P2F_TTC2__INT0 {0} \
# #TE_MOD#    CONFIG.PSU__IRQ_P2F_TTC1__INT2 {0} \
# #TE_MOD#    CONFIG.PSU__IRQ_P2F_TTC1__INT1 {0} \
# #TE_MOD#    CONFIG.PSU__IRQ_P2F_TTC1__INT0 {0} \
# #TE_MOD#    CONFIG.PSU__IRQ_P2F_TTC0__INT2 {0} \
# #TE_MOD#    CONFIG.PSU__IRQ_P2F_TTC0__INT1 {0} \
# #TE_MOD#    CONFIG.PSU__IRQ_P2F_TTC0__INT0 {0} \
# #TE_MOD#    CONFIG.PSU__IRQ_P2F_SPI1__INT {0} \
# #TE_MOD#    CONFIG.PSU__IRQ_P2F_SPI0__INT {0} \
# #TE_MOD#    CONFIG.PSU__IRQ_P2F_SDIO1__INT {0} \
# #TE_MOD#    CONFIG.PSU__IRQ_P2F_SDIO1_WAKE__INT {0} \
# #TE_MOD#    CONFIG.PSU__IRQ_P2F_SDIO0__INT {0} \
# #TE_MOD#    CONFIG.PSU__IRQ_P2F_SDIO0_WAKE__INT {0} \
# #TE_MOD#    CONFIG.PSU__IRQ_P2F_SATA__INT {0} \
# #TE_MOD#    CONFIG.PSU__IRQ_P2F_RTC_SECONDS__INT {0} \
# #TE_MOD#    CONFIG.PSU__IRQ_P2F_RTC_ALARM__INT {0} \
# #TE_MOD#    CONFIG.PSU__IRQ_P2F_RPU_PERMON__INT {0} \
# #TE_MOD#    CONFIG.PSU__IRQ_P2F_RPU_IPI__INT {0} \
# #TE_MOD#    CONFIG.PSU__IRQ_P2F_R5_CORE1_ECC_ERR__INT {0} \
# #TE_MOD#    CONFIG.PSU__IRQ_P2F_R5_CORE0_ECC_ERR__INT {0} \
# #TE_MOD#    CONFIG.PSU__IRQ_P2F_QSPI__INT {0} \
# #TE_MOD#    CONFIG.PSU__IRQ_P2F_PL_IPI__INT {0} \
# #TE_MOD#    CONFIG.PSU__IRQ_P2F_PCIE_MSI__INT {0} \
# #TE_MOD#    CONFIG.PSU__IRQ_P2F_PCIE_MSC__INT {0} \
# #TE_MOD#    CONFIG.PSU__IRQ_P2F_PCIE_LEGACY__INT {0} \
# #TE_MOD#    CONFIG.PSU__IRQ_P2F_PCIE_DMA__INT {0} \
# #TE_MOD#    CONFIG.PSU__IRQ_P2F_OCM_ERR__INT {0} \
# #TE_MOD#    CONFIG.PSU__IRQ_P2F_NAND__INT {0} \
# #TE_MOD#    CONFIG.PSU__IRQ_P2F_LP_WDT__INT {0} \
# #TE_MOD#    CONFIG.PSU__IRQ_P2F_LPD_APM__INT {0} \
# #TE_MOD#    CONFIG.PSU__IRQ_P2F_LPD_APB__INT {0} \
# #TE_MOD#    CONFIG.PSU__IRQ_P2F_I2C1__INT {0} \
# #TE_MOD#    CONFIG.PSU__IRQ_P2F_I2C0__INT {0} \
# #TE_MOD#    CONFIG.PSU__IRQ_P2F_GPU__INT {0} \
# #TE_MOD#    CONFIG.PSU__IRQ_P2F_GPIO__INT {0} \
# #TE_MOD#    CONFIG.PSU__IRQ_P2F_GDMA_CHAN__INT {0} \
# #TE_MOD#    CONFIG.PSU__IRQ_P2F_FP_WDT__INT {0} \
# #TE_MOD#    CONFIG.PSU__IRQ_P2F_FPD_ATB_ERR__INT {0} \
# #TE_MOD#    CONFIG.PSU__IRQ_P2F_FPD_APB__INT {0} \
# #TE_MOD#    CONFIG.PSU__IRQ_P2F_ENT3__INT {0} \
# #TE_MOD#    CONFIG.PSU__IRQ_P2F_ENT3_WAKEUP__INT {0} \
# #TE_MOD#    CONFIG.PSU__IRQ_P2F_ENT2__INT {0} \
# #TE_MOD#    CONFIG.PSU__IRQ_P2F_ENT2_WAKEUP__INT {0} \
# #TE_MOD#    CONFIG.PSU__IRQ_P2F_ENT1__INT {0} \
# #TE_MOD#    CONFIG.PSU__IRQ_P2F_ENT1_WAKEUP__INT {0} \
# #TE_MOD#    CONFIG.PSU__IRQ_P2F_ENT0__INT {0} \
# #TE_MOD#    CONFIG.PSU__IRQ_P2F_ENT0_WAKEUP__INT {0} \
# #TE_MOD#    CONFIG.PSU__IRQ_P2F_EFUSE__INT {0} \
# #TE_MOD#    CONFIG.PSU__IRQ_P2F_DPORT__INT {0} \
# #TE_MOD#    CONFIG.PSU__IRQ_P2F_DPDMA__INT {0} \
# #TE_MOD#    CONFIG.PSU__IRQ_P2F_DDR_SS__INT {0} \
# #TE_MOD#    CONFIG.PSU__IRQ_P2F_CSU__INT {0} \
# #TE_MOD#    CONFIG.PSU__IRQ_P2F_CSU_DMA__INT {0} \
# #TE_MOD#    CONFIG.PSU__IRQ_P2F_CSUPMU_WDT__INT {0} \
# #TE_MOD#    CONFIG.PSU__IRQ_P2F_CLKMON__INT {0} \
# #TE_MOD#    CONFIG.PSU__IRQ_P2F_CAN1__INT {0} \
# #TE_MOD#    CONFIG.PSU__IRQ_P2F_CAN0__INT {0} \
# #TE_MOD#    CONFIG.PSU__IRQ_P2F_ATB_LPD__INT {0} \
# #TE_MOD#    CONFIG.PSU__IRQ_P2F_APU_REGS__INT {0} \
# #TE_MOD#    CONFIG.PSU__IRQ_P2F_APU_PMU__INT {0} \
# #TE_MOD#    CONFIG.PSU__IRQ_P2F_APU_L2ERR__INT {0} \
# #TE_MOD#    CONFIG.PSU__IRQ_P2F_APU_IPI__INT {0} \
# #TE_MOD#    CONFIG.PSU__IRQ_P2F_APU_EXTERR__INT {0} \
# #TE_MOD#    CONFIG.PSU__IRQ_P2F_APU_CTI__INT {0} \
# #TE_MOD#    CONFIG.PSU__IRQ_P2F_APU_CPUMNT__INT {0} \
# #TE_MOD#    CONFIG.PSU__IRQ_P2F_APU_COMM__INT {0} \
# #TE_MOD#    CONFIG.PSU__IRQ_P2F_APM_FPD__INT {0} \
# #TE_MOD#    CONFIG.PSU__IRQ_P2F_AMS__INT {0} \
# #TE_MOD#    CONFIG.PSU__IRQ_P2F_AIB_AXI__INT {0} \
# #TE_MOD#    CONFIG.PSU__IRQ_P2F_ADMA_CHAN__INT {0} \
# #TE_MOD#    CONFIG.PSU__IOU_SLCR__WDT_CLK_SEL__SELECT {APB} \
# #TE_MOD#    CONFIG.PSU__IOU_SLCR__WDT0__FREQMHZ {99.999992} \
# #TE_MOD#    CONFIG.PSU__IOU_SLCR__WDT0__ACT_FREQMHZ {99.999992} \
# #TE_MOD#    CONFIG.PSU__IOU_SLCR__TTC3__FREQMHZ {100.000000} \
# #TE_MOD#    CONFIG.PSU__IOU_SLCR__TTC3__ACT_FREQMHZ {100.000000} \
# #TE_MOD#    CONFIG.PSU__IOU_SLCR__TTC2__FREQMHZ {100.000000} \
# #TE_MOD#    CONFIG.PSU__IOU_SLCR__TTC2__ACT_FREQMHZ {100.000000} \
# #TE_MOD#    CONFIG.PSU__IOU_SLCR__TTC1__FREQMHZ {100.000000} \
# #TE_MOD#    CONFIG.PSU__IOU_SLCR__TTC1__ACT_FREQMHZ {100.000000} \
# #TE_MOD#    CONFIG.PSU__IOU_SLCR__TTC0__FREQMHZ {100.000000} \
# #TE_MOD#    CONFIG.PSU__IOU_SLCR__TTC0__ACT_FREQMHZ {100.000000} \
# #TE_MOD#    CONFIG.PSU__IOU_SLCR__IOU_TTC_APB_CLK__TTC3_SEL {APB} \
# #TE_MOD#    CONFIG.PSU__IOU_SLCR__IOU_TTC_APB_CLK__TTC2_SEL {APB} \
# #TE_MOD#    CONFIG.PSU__IOU_SLCR__IOU_TTC_APB_CLK__TTC1_SEL {APB} \
# #TE_MOD#    CONFIG.PSU__IOU_SLCR__IOU_TTC_APB_CLK__TTC0_SEL {APB} \
# #TE_MOD#    CONFIG.PSU__I2C1__PERIPHERAL__ENABLE {0} \
# #TE_MOD#    CONFIG.PSU__I2C1__GRP_INT__ENABLE {0} \
# #TE_MOD#    CONFIG.PSU__I2C0__PERIPHERAL__ENABLE {0} \
# #TE_MOD#    CONFIG.PSU__I2C0__GRP_INT__ENABLE {0} \
# #TE_MOD#    CONFIG.PSU__I2C0_LOOP_I2C1__ENABLE {0} \
# #TE_MOD#    CONFIG.PSU__HPM1_FPD__NUM_WRITE_THREADS {4} \
# #TE_MOD#    CONFIG.PSU__HPM1_FPD__NUM_READ_THREADS {4} \
# #TE_MOD#    CONFIG.PSU__HPM0_LPD__NUM_WRITE_THREADS {4} \
# #TE_MOD#    CONFIG.PSU__HPM0_LPD__NUM_READ_THREADS {4} \
# #TE_MOD#    CONFIG.PSU__HPM0_FPD__NUM_WRITE_THREADS {4} \
# #TE_MOD#    CONFIG.PSU__HPM0_FPD__NUM_READ_THREADS {4} \
# #TE_MOD#    CONFIG.PSU__HIGH_ADDRESS__ENABLE {0} \
# #TE_MOD#    CONFIG.PSU__GT__VLT_SWNG_LVL_4 {} \
# #TE_MOD#    CONFIG.PSU__GT__PRE_EMPH_LVL_4 {} \
# #TE_MOD#    CONFIG.PSU__GT_REF_CLK__FREQMHZ {33.333} \
# #TE_MOD#    CONFIG.PSU__GPU_PP1__POWER__ON {1} \
# #TE_MOD#    CONFIG.PSU__GPU_PP0__POWER__ON {1} \
# #TE_MOD#    CONFIG.PSU__GPIO_EMIO__WIDTH {[94:0]} \
# #TE_MOD#    CONFIG.PSU__GPIO_EMIO__PERIPHERAL__IO {<Select>} \
# #TE_MOD#    CONFIG.PSU__GPIO_EMIO__PERIPHERAL__ENABLE {0} \
# #TE_MOD#    CONFIG.PSU__GPIO_EMIO_WIDTH {1} \
# #TE_MOD#    CONFIG.PSU__GPIO2_MIO__PERIPHERAL__ENABLE {0} \
# #TE_MOD#    CONFIG.PSU__GPIO1_MIO__PERIPHERAL__ENABLE {0} \
# #TE_MOD#    CONFIG.PSU__GPIO0_MIO__PERIPHERAL__ENABLE {0} \
# #TE_MOD#    CONFIG.PSU__GEN_IPI_9__MASTER {NONE} \
# #TE_MOD#    CONFIG.PSU__GEN_IPI_8__MASTER {NONE} \
# #TE_MOD#    CONFIG.PSU__GEN_IPI_7__MASTER {NONE} \
# #TE_MOD#    CONFIG.PSU__GEN_IPI_6__MASTER {PMU} \
# #TE_MOD#    CONFIG.PSU__GEN_IPI_5__MASTER {PMU} \
# #TE_MOD#    CONFIG.PSU__GEN_IPI_4__MASTER {PMU} \
# #TE_MOD#    CONFIG.PSU__GEN_IPI_3__MASTER {PMU} \
# #TE_MOD#    CONFIG.PSU__GEN_IPI_2__MASTER {RPU1} \
# #TE_MOD#    CONFIG.PSU__GEN_IPI_1__MASTER {RPU0} \
# #TE_MOD#    CONFIG.PSU__GEN_IPI_10__MASTER {NONE} \
# #TE_MOD#    CONFIG.PSU__GEN_IPI_0__MASTER {APU} \
# #TE_MOD#    CONFIG.PSU__GEM__TSU__ENABLE {0} \
# #TE_MOD#    CONFIG.PSU__GEM3_COHERENCY {0} \
# #TE_MOD#    CONFIG.PSU__GEM2_COHERENCY {0} \
# #TE_MOD#    CONFIG.PSU__GEM1_COHERENCY {0} \
# #TE_MOD#    CONFIG.PSU__GEM0_COHERENCY {0} \
# #TE_MOD#    CONFIG.PSU__FTM__GPO {0} \
# #TE_MOD#    CONFIG.PSU__FTM__GPI {0} \
# #TE_MOD#    CONFIG.PSU__FTM__CTI_OUT_3 {0} \
# #TE_MOD#    CONFIG.PSU__FTM__CTI_OUT_2 {0} \
# #TE_MOD#    CONFIG.PSU__FTM__CTI_OUT_1 {0} \
# #TE_MOD#    CONFIG.PSU__FTM__CTI_OUT_0 {0} \
# #TE_MOD#    CONFIG.PSU__FTM__CTI_IN_3 {0} \
# #TE_MOD#    CONFIG.PSU__FTM__CTI_IN_2 {0} \
# #TE_MOD#    CONFIG.PSU__FTM__CTI_IN_1 {0} \
# #TE_MOD#    CONFIG.PSU__FTM__CTI_IN_0 {0} \
# #TE_MOD#    CONFIG.PSU__FP__POWER__ON {1} \
# #TE_MOD#    CONFIG.PSU__FPGA_PL3_ENABLE {0} \
# #TE_MOD#    CONFIG.PSU__FPGA_PL2_ENABLE {0} \
# #TE_MOD#    CONFIG.PSU__FPGA_PL1_ENABLE {0} \
# #TE_MOD#    CONFIG.PSU__FPGA_PL0_ENABLE {1} \
# #TE_MOD#    CONFIG.PSU__FPD_SLCR__WDT_CLK_SEL__SELECT {APB} \
# #TE_MOD#    CONFIG.PSU__FPD_SLCR__WDT1__FREQMHZ {99.999992} \
# #TE_MOD#    CONFIG.PSU__FPD_SLCR__WDT1__ACT_FREQMHZ {99.999992} \
# #TE_MOD#    CONFIG.PSU__FPDMASTERS_COHERENCY {0} \
# #TE_MOD#    CONFIG.PSU__EXPAND__UPPER_LPS_SLAVES {0} \
# #TE_MOD#    CONFIG.PSU__EXPAND__LOWER_LPS_SLAVES {0} \
# #TE_MOD#    CONFIG.PSU__EXPAND__GIC {0} \
# #TE_MOD#    CONFIG.PSU__EXPAND__FPD_SLAVES {0} \
# #TE_MOD#    CONFIG.PSU__EXPAND__CORESIGHT {0} \
# #TE_MOD#    CONFIG.PSU__EP__IP {0} \
# #TE_MOD#    CONFIG.PSU__EN_EMIO_TRACE {0} \
# #TE_MOD#    CONFIG.PSU__EN_AXI_STATUS_PORTS {0} \
# #TE_MOD#    CONFIG.PSU__ENET3__TSU__ENABLE {0} \
# #TE_MOD#    CONFIG.PSU__ENET3__PTP__ENABLE {0} \
# #TE_MOD#    CONFIG.PSU__ENET3__PERIPHERAL__ENABLE {0} \
# #TE_MOD#    CONFIG.PSU__ENET3__GRP_MDIO__ENABLE {0} \
# #TE_MOD#    CONFIG.PSU__ENET3__FIFO__ENABLE {0} \
# #TE_MOD#    CONFIG.PSU__ENET2__TSU__ENABLE {0} \
# #TE_MOD#    CONFIG.PSU__ENET2__PTP__ENABLE {0} \
# #TE_MOD#    CONFIG.PSU__ENET2__PERIPHERAL__ENABLE {0} \
# #TE_MOD#    CONFIG.PSU__ENET2__GRP_MDIO__ENABLE {0} \
# #TE_MOD#    CONFIG.PSU__ENET2__FIFO__ENABLE {0} \
# #TE_MOD#    CONFIG.PSU__ENET1__TSU__ENABLE {0} \
# #TE_MOD#    CONFIG.PSU__ENET1__PTP__ENABLE {0} \
# #TE_MOD#    CONFIG.PSU__ENET1__PERIPHERAL__ENABLE {0} \
# #TE_MOD#    CONFIG.PSU__ENET1__GRP_MDIO__ENABLE {0} \
# #TE_MOD#    CONFIG.PSU__ENET1__FIFO__ENABLE {0} \
# #TE_MOD#    CONFIG.PSU__ENET0__TSU__ENABLE {0} \
# #TE_MOD#    CONFIG.PSU__ENET0__PTP__ENABLE {0} \
# #TE_MOD#    CONFIG.PSU__ENET0__PERIPHERAL__ENABLE {0} \
# #TE_MOD#    CONFIG.PSU__ENET0__GRP_MDIO__ENABLE {0} \
# #TE_MOD#    CONFIG.PSU__ENET0__FIFO__ENABLE {0} \
# #TE_MOD#    CONFIG.PSU__ENABLE__DDR__REFRESH__SIGNALS {0} \
# #TE_MOD#    CONFIG.PSU__DPAUX__PERIPHERAL__ENABLE {0} \
# #TE_MOD#    CONFIG.PSU__DLL__ISUSED {0} \
# #TE_MOD#    CONFIG.PSU__DISPLAYPORT__PERIPHERAL__ENABLE {0} \
# #TE_MOD#    CONFIG.PSU__DISPLAYPORT__LANE1__ENABLE {0} \
# #TE_MOD#    CONFIG.PSU__DISPLAYPORT__LANE0__ENABLE {0} \
# #TE_MOD#    CONFIG.PSU__DEVICE_TYPE {EG} \
# #TE_MOD#    CONFIG.PSU__DDR__INTERFACE__FREQMHZ {600.000} \
# #TE_MOD#    CONFIG.PSU__DDR_SW_REFRESH_ENABLED {0} \
# #TE_MOD#    CONFIG.PSU__DDR_QOS_WR_THRSHLD {} \
# #TE_MOD#    CONFIG.PSU__DDR_QOS_RD_LPR_THRSHLD {} \
# #TE_MOD#    CONFIG.PSU__DDR_QOS_RD_HPR_THRSHLD {} \
# #TE_MOD#    CONFIG.PSU__DDR_QOS_HP3_WRQOS {} \
# #TE_MOD#    CONFIG.PSU__DDR_QOS_HP3_RDQOS {} \
# #TE_MOD#    CONFIG.PSU__DDR_QOS_HP2_WRQOS {} \
# #TE_MOD#    CONFIG.PSU__DDR_QOS_HP2_RDQOS {} \
# #TE_MOD#    CONFIG.PSU__DDR_QOS_HP1_WRQOS {} \
# #TE_MOD#    CONFIG.PSU__DDR_QOS_HP1_RDQOS {} \
# #TE_MOD#    CONFIG.PSU__DDR_QOS_HP0_WRQOS {} \
# #TE_MOD#    CONFIG.PSU__DDR_QOS_HP0_RDQOS {} \
# #TE_MOD#    CONFIG.PSU__DDR_QOS_ENABLE {0} \
# #TE_MOD#    CONFIG.PSU__DDR_HIGH_ADDRESS_GUI_ENABLE {1} \
# #TE_MOD#    CONFIG.PSU__DDRC__VREF {1} \
# #TE_MOD#    CONFIG.PSU__DDRC__VIDEO_BUFFER_SIZE {0} \
# #TE_MOD#    CONFIG.PSU__DDRC__VENDOR_PART {OTHERS} \
# #TE_MOD#    CONFIG.PSU__DDRC__T_RP {17} \
# #TE_MOD#    CONFIG.PSU__DDRC__T_RCD {17} \
# #TE_MOD#    CONFIG.PSU__DDRC__T_RC {50} \
# #TE_MOD#    CONFIG.PSU__DDRC__T_RAS_MIN {32.0} \
# #TE_MOD#    CONFIG.PSU__DDRC__T_FAW {30.0} \
# #TE_MOD#    CONFIG.PSU__DDRC__TRAIN_WRITE_LEVEL {1} \
# #TE_MOD#    CONFIG.PSU__DDRC__TRAIN_READ_GATE {1} \
# #TE_MOD#    CONFIG.PSU__DDRC__TRAIN_DATA_EYE {1} \
# #TE_MOD#    CONFIG.PSU__DDRC__STATIC_RD_MODE {0} \
# #TE_MOD#    CONFIG.PSU__DDRC__SPEED_BIN {DDR4_2400P} \
# #TE_MOD#    CONFIG.PSU__DDRC__SELF_REF_ABORT {0} \
# #TE_MOD#    CONFIG.PSU__DDRC__SB_TARGET {15-15-15} \
# #TE_MOD#    CONFIG.PSU__DDRC__ROW_ADDR_COUNT {16} \
# #TE_MOD#    CONFIG.PSU__DDRC__RD_DQS_CENTER {0} \
# #TE_MOD#    CONFIG.PSU__DDRC__RANK_ADDR_COUNT {0} \
# #TE_MOD#    CONFIG.PSU__DDRC__PWR_DOWN_EN {0} \
# #TE_MOD#    CONFIG.PSU__DDRC__PLL_BYPASS {0} \
# #TE_MOD#    CONFIG.PSU__DDRC__PHY_DBI_MODE {0} \
# #TE_MOD#    CONFIG.PSU__DDRC__PER_BANK_REFRESH {0} \
# #TE_MOD#    CONFIG.PSU__DDRC__PARITY_ENABLE {0} \
# #TE_MOD#    CONFIG.PSU__DDRC__MEMORY_TYPE {DDR 4} \
# #TE_MOD#    CONFIG.PSU__DDRC__LP_ASR {manual normal} \
# #TE_MOD#    CONFIG.PSU__DDRC__FREQ_MHZ {1} \
# #TE_MOD#    CONFIG.PSU__DDRC__FGRM {1X} \
# #TE_MOD#    CONFIG.PSU__DDRC__EN_2ND_CLK {0} \
# #TE_MOD#    CONFIG.PSU__DDRC__ENABLE_LP4_SLOWBOOT {0} \
# #TE_MOD#    CONFIG.PSU__DDRC__ENABLE_LP4_HAS_ECC_COMP {0} \
# #TE_MOD#    CONFIG.PSU__DDRC__ENABLE_DP_SWITCH {0} \
# #TE_MOD#    CONFIG.PSU__DDRC__ENABLE_2T_TIMING {0} \
# #TE_MOD#    CONFIG.PSU__DDRC__ENABLE {1} \
# #TE_MOD#    CONFIG.PSU__DDRC__ECC_SCRUB {0} \
# #TE_MOD#    CONFIG.PSU__DDRC__ECC {Disabled} \
# #TE_MOD#    CONFIG.PSU__DDRC__DRAM_WIDTH {16 Bits} \
# #TE_MOD#    CONFIG.PSU__DDRC__DQMAP_8_11 {0} \
# #TE_MOD#    CONFIG.PSU__DDRC__DQMAP_68_71 {0} \
# #TE_MOD#    CONFIG.PSU__DDRC__DQMAP_64_67 {0} \
# #TE_MOD#    CONFIG.PSU__DDRC__DQMAP_60_63 {0} \
# #TE_MOD#    CONFIG.PSU__DDRC__DQMAP_56_59 {0} \
# #TE_MOD#    CONFIG.PSU__DDRC__DQMAP_52_55 {0} \
# #TE_MOD#    CONFIG.PSU__DDRC__DQMAP_4_7 {0} \
# #TE_MOD#    CONFIG.PSU__DDRC__DQMAP_48_51 {0} \
# #TE_MOD#    CONFIG.PSU__DDRC__DQMAP_44_47 {0} \
# #TE_MOD#    CONFIG.PSU__DDRC__DQMAP_40_43 {0} \
# #TE_MOD#    CONFIG.PSU__DDRC__DQMAP_36_39 {0} \
# #TE_MOD#    CONFIG.PSU__DDRC__DQMAP_32_35 {0} \
# #TE_MOD#    CONFIG.PSU__DDRC__DQMAP_28_31 {0} \
# #TE_MOD#    CONFIG.PSU__DDRC__DQMAP_24_27 {0} \
# #TE_MOD#    CONFIG.PSU__DDRC__DQMAP_20_23 {0} \
# #TE_MOD#    CONFIG.PSU__DDRC__DQMAP_16_19 {0} \
# #TE_MOD#    CONFIG.PSU__DDRC__DQMAP_12_15 {0} \
# #TE_MOD#    CONFIG.PSU__DDRC__DQMAP_0_3 {0} \
# #TE_MOD#    CONFIG.PSU__DDRC__DM_DBI {DM_NO_DBI} \
# #TE_MOD#    CONFIG.PSU__DDRC__DIMM_ADDR_MIRROR {0} \
# #TE_MOD#    CONFIG.PSU__DDRC__DEVICE_CAPACITY {8192 MBits} \
# #TE_MOD#    CONFIG.PSU__DDRC__DEEP_PWR_DOWN_EN {0} \
# #TE_MOD#    CONFIG.PSU__DDRC__DDR4_T_REF_RANGE {Normal (0-85)} \
# #TE_MOD#    CONFIG.PSU__DDRC__DDR4_T_REF_MODE {1} \
# #TE_MOD#    CONFIG.PSU__DDRC__DDR4_MAXPWR_SAVING_EN {0} \
# #TE_MOD#    CONFIG.PSU__DDRC__DDR4_CRC_CONTROL {0} \
# #TE_MOD#    CONFIG.PSU__DDRC__DDR4_CAL_MODE_ENABLE {0} \
# #TE_MOD#    CONFIG.PSU__DDRC__DDR4_ADDR_MAPPING {1} \
# #TE_MOD#    CONFIG.PSU__DDRC__CWL {16} \
# #TE_MOD#    CONFIG.PSU__DDRC__COMPONENTS {Components} \
# #TE_MOD#    CONFIG.PSU__DDRC__COL_ADDR_COUNT {10} \
# #TE_MOD#    CONFIG.PSU__DDRC__CLOCK_STOP_EN {0} \
# #TE_MOD#    CONFIG.PSU__DDRC__CL {17} \
# #TE_MOD#    CONFIG.PSU__DDRC__BUS_WIDTH {64 Bit} \
# #TE_MOD#    CONFIG.PSU__DDRC__BRC_MAPPING {ROW_BANK_COL} \
# #TE_MOD#    CONFIG.PSU__DDRC__BG_ADDR_COUNT {1} \
# #TE_MOD#    CONFIG.PSU__DDRC__BANK_ADDR_COUNT {2} \
# #TE_MOD#    CONFIG.PSU__DDRC__AL {0} \
# #TE_MOD#    CONFIG.PSU__DDRC__ADDR_MIRROR {0} \
# #TE_MOD#    CONFIG.PSU__CSU__PERIPHERAL__ENABLE {0} \
# #TE_MOD#    CONFIG.PSU__CSU__CSU_TAMPER_9__ERASE_BBRAM {0} \
# #TE_MOD#    CONFIG.PSU__CSU__CSU_TAMPER_9__ENABLE {0} \
# #TE_MOD#    CONFIG.PSU__CSU__CSU_TAMPER_8__ERASE_BBRAM {0} \
# #TE_MOD#    CONFIG.PSU__CSU__CSU_TAMPER_8__ENABLE {0} \
# #TE_MOD#    CONFIG.PSU__CSU__CSU_TAMPER_7__ERASE_BBRAM {0} \
# #TE_MOD#    CONFIG.PSU__CSU__CSU_TAMPER_7__ENABLE {0} \
# #TE_MOD#    CONFIG.PSU__CSU__CSU_TAMPER_6__ERASE_BBRAM {0} \
# #TE_MOD#    CONFIG.PSU__CSU__CSU_TAMPER_6__ENABLE {0} \
# #TE_MOD#    CONFIG.PSU__CSU__CSU_TAMPER_5__ERASE_BBRAM {0} \
# #TE_MOD#    CONFIG.PSU__CSU__CSU_TAMPER_5__ENABLE {0} \
# #TE_MOD#    CONFIG.PSU__CSU__CSU_TAMPER_4__ERASE_BBRAM {0} \
# #TE_MOD#    CONFIG.PSU__CSU__CSU_TAMPER_4__ENABLE {0} \
# #TE_MOD#    CONFIG.PSU__CSU__CSU_TAMPER_3__ERASE_BBRAM {0} \
# #TE_MOD#    CONFIG.PSU__CSU__CSU_TAMPER_3__ENABLE {0} \
# #TE_MOD#    CONFIG.PSU__CSU__CSU_TAMPER_2__ERASE_BBRAM {0} \
# #TE_MOD#    CONFIG.PSU__CSU__CSU_TAMPER_2__ENABLE {0} \
# #TE_MOD#    CONFIG.PSU__CSU__CSU_TAMPER_1__ERASE_BBRAM {0} \
# #TE_MOD#    CONFIG.PSU__CSU__CSU_TAMPER_1__ENABLE {0} \
# #TE_MOD#    CONFIG.PSU__CSU__CSU_TAMPER_12__ERASE_BBRAM {0} \
# #TE_MOD#    CONFIG.PSU__CSU__CSU_TAMPER_12__ENABLE {0} \
# #TE_MOD#    CONFIG.PSU__CSU__CSU_TAMPER_11__ERASE_BBRAM {0} \
# #TE_MOD#    CONFIG.PSU__CSU__CSU_TAMPER_11__ENABLE {0} \
# #TE_MOD#    CONFIG.PSU__CSU__CSU_TAMPER_10__ERASE_BBRAM {0} \
# #TE_MOD#    CONFIG.PSU__CSU__CSU_TAMPER_10__ENABLE {0} \
# #TE_MOD#    CONFIG.PSU__CSU__CSU_TAMPER_0__ERASE_BBRAM {0} \
# #TE_MOD#    CONFIG.PSU__CSU__CSU_TAMPER_0__ENABLE {0} \
# #TE_MOD#    CONFIG.PSU__CSU_COHERENCY {0} \
# #TE_MOD#    CONFIG.PSU__CSUPMU__PERIPHERAL__VALID {0} \
# #TE_MOD#    CONFIG.PSU__CRL_APB__USB3__ENABLE {0} \
# #TE_MOD#    CONFIG.PSU__CRL_APB__USB3_DUAL_REF_CTRL__SRCSEL {IOPLL} \
# #TE_MOD#    CONFIG.PSU__CRL_APB__USB3_DUAL_REF_CTRL__FREQMHZ {20} \
# #TE_MOD#    CONFIG.PSU__CRL_APB__USB3_DUAL_REF_CTRL__DIVISOR1 {15} \
# #TE_MOD#    CONFIG.PSU__CRL_APB__USB3_DUAL_REF_CTRL__DIVISOR0 {5} \
# #TE_MOD#    CONFIG.PSU__CRL_APB__USB3_DUAL_REF_CTRL__ACT_FREQMHZ {20} \
# #TE_MOD#    CONFIG.PSU__CRL_APB__USB1_BUS_REF_CTRL__SRCSEL {IOPLL} \
# #TE_MOD#    CONFIG.PSU__CRL_APB__USB1_BUS_REF_CTRL__FREQMHZ {250} \
# #TE_MOD#    CONFIG.PSU__CRL_APB__USB1_BUS_REF_CTRL__DIVISOR1 {1} \
# #TE_MOD#    CONFIG.PSU__CRL_APB__USB1_BUS_REF_CTRL__DIVISOR0 {6} \
# #TE_MOD#    CONFIG.PSU__CRL_APB__USB1_BUS_REF_CTRL__ACT_FREQMHZ {250} \
# #TE_MOD#    CONFIG.PSU__CRL_APB__USB0_BUS_REF_CTRL__SRCSEL {IOPLL} \
# #TE_MOD#    CONFIG.PSU__CRL_APB__USB0_BUS_REF_CTRL__FREQMHZ {250} \
# #TE_MOD#    CONFIG.PSU__CRL_APB__USB0_BUS_REF_CTRL__DIVISOR1 {1} \
# #TE_MOD#    CONFIG.PSU__CRL_APB__USB0_BUS_REF_CTRL__DIVISOR0 {6} \
# #TE_MOD#    CONFIG.PSU__CRL_APB__USB0_BUS_REF_CTRL__ACT_FREQMHZ {250} \
# #TE_MOD#    CONFIG.PSU__CRL_APB__UART1_REF_CTRL__SRCSEL {IOPLL} \
# #TE_MOD#    CONFIG.PSU__CRL_APB__UART1_REF_CTRL__FREQMHZ {100} \
# #TE_MOD#    CONFIG.PSU__CRL_APB__UART1_REF_CTRL__DIVISOR1 {1} \
# #TE_MOD#    CONFIG.PSU__CRL_APB__UART1_REF_CTRL__DIVISOR0 {15} \
# #TE_MOD#    CONFIG.PSU__CRL_APB__UART1_REF_CTRL__ACT_FREQMHZ {100} \
# #TE_MOD#    CONFIG.PSU__CRL_APB__UART0_REF_CTRL__SRCSEL {IOPLL} \
# #TE_MOD#    CONFIG.PSU__CRL_APB__UART0_REF_CTRL__FREQMHZ {100} \
# #TE_MOD#    CONFIG.PSU__CRL_APB__UART0_REF_CTRL__DIVISOR1 {1} \
# #TE_MOD#    CONFIG.PSU__CRL_APB__UART0_REF_CTRL__DIVISOR0 {15} \
# #TE_MOD#    CONFIG.PSU__CRL_APB__UART0_REF_CTRL__ACT_FREQMHZ {99.999990} \
# #TE_MOD#    CONFIG.PSU__CRL_APB__TIMESTAMP_REF_CTRL__SRCSEL {PSS_REF_CLK} \
# #TE_MOD#    CONFIG.PSU__CRL_APB__TIMESTAMP_REF_CTRL__FREQMHZ {100} \
# #TE_MOD#    CONFIG.PSU__CRL_APB__TIMESTAMP_REF_CTRL__DIVISOR0 {1} \
# #TE_MOD#    CONFIG.PSU__CRL_APB__TIMESTAMP_REF_CTRL__ACT_FREQMHZ {33.333330} \
# #TE_MOD#    CONFIG.PSU__CRL_APB__SPI1_REF_CTRL__SRCSEL {RPLL} \
# #TE_MOD#    CONFIG.PSU__CRL_APB__SPI1_REF_CTRL__FREQMHZ {200} \
# #TE_MOD#    CONFIG.PSU__CRL_APB__SPI1_REF_CTRL__DIVISOR1 {1} \
# #TE_MOD#    CONFIG.PSU__CRL_APB__SPI1_REF_CTRL__DIVISOR0 {7} \
# #TE_MOD#    CONFIG.PSU__CRL_APB__SPI1_REF_CTRL__ACT_FREQMHZ {214} \
# #TE_MOD#    CONFIG.PSU__CRL_APB__SPI0_REF_CTRL__SRCSEL {RPLL} \
# #TE_MOD#    CONFIG.PSU__CRL_APB__SPI0_REF_CTRL__FREQMHZ {200} \
# #TE_MOD#    CONFIG.PSU__CRL_APB__SPI0_REF_CTRL__DIVISOR1 {1} \
# #TE_MOD#    CONFIG.PSU__CRL_APB__SPI0_REF_CTRL__DIVISOR0 {7} \
# #TE_MOD#    CONFIG.PSU__CRL_APB__SPI0_REF_CTRL__ACT_FREQMHZ {214} \
# #TE_MOD#    CONFIG.PSU__CRL_APB__SDIO1_REF_CTRL__SRCSEL {RPLL} \
# #TE_MOD#    CONFIG.PSU__CRL_APB__SDIO1_REF_CTRL__FREQMHZ {200} \
# #TE_MOD#    CONFIG.PSU__CRL_APB__SDIO1_REF_CTRL__DIVISOR1 {1} \
# #TE_MOD#    CONFIG.PSU__CRL_APB__SDIO1_REF_CTRL__DIVISOR0 {7} \
# #TE_MOD#    CONFIG.PSU__CRL_APB__SDIO1_REF_CTRL__ACT_FREQMHZ {200} \
# #TE_MOD#    CONFIG.PSU__CRL_APB__SDIO0_REF_CTRL__SRCSEL {RPLL} \
# #TE_MOD#    CONFIG.PSU__CRL_APB__SDIO0_REF_CTRL__FREQMHZ {200} \
# #TE_MOD#    CONFIG.PSU__CRL_APB__SDIO0_REF_CTRL__DIVISOR1 {1} \
# #TE_MOD#    CONFIG.PSU__CRL_APB__SDIO0_REF_CTRL__DIVISOR0 {7} \
# #TE_MOD#    CONFIG.PSU__CRL_APB__SDIO0_REF_CTRL__ACT_FREQMHZ {200} \
# #TE_MOD#    CONFIG.PSU__CRL_APB__RPLL_TO_FPD_CTRL__DIVISOR0 {2} \
# #TE_MOD#    CONFIG.PSU__CRL_APB__RPLL_FRAC_CFG__ENABLED {0} \
# #TE_MOD#    CONFIG.PSU__CRL_APB__RPLL_CTRL__SRCSEL {PSS_REF_CLK} \
# #TE_MOD#    CONFIG.PSU__CRL_APB__RPLL_CTRL__FRACFREQ {27.138} \
# #TE_MOD#    CONFIG.PSU__CRL_APB__RPLL_CTRL__FRACDATA {0.000000} \
# #TE_MOD#    CONFIG.PSU__CRL_APB__RPLL_CTRL__FBDIV {48} \
# #TE_MOD#    CONFIG.PSU__CRL_APB__RPLL_CTRL__DIV2 {1} \
# #TE_MOD#    CONFIG.PSU__CRL_APB__QSPI_REF_CTRL__SRCSEL {IOPLL} \
# #TE_MOD#    CONFIG.PSU__CRL_APB__QSPI_REF_CTRL__FREQMHZ {300} \
# #TE_MOD#    CONFIG.PSU__CRL_APB__QSPI_REF_CTRL__DIVISOR1 {1} \
# #TE_MOD#    CONFIG.PSU__CRL_APB__QSPI_REF_CTRL__DIVISOR0 {5} \
# #TE_MOD#    CONFIG.PSU__CRL_APB__QSPI_REF_CTRL__ACT_FREQMHZ {299.999970} \
# #TE_MOD#    CONFIG.PSU__CRL_APB__PL3_REF_CTRL__SRCSEL {RPLL} \
# #TE_MOD#    CONFIG.PSU__CRL_APB__PL3_REF_CTRL__FREQMHZ {100} \
# #TE_MOD#    CONFIG.PSU__CRL_APB__PL3_REF_CTRL__DIVISOR1 {1} \
# #TE_MOD#    CONFIG.PSU__CRL_APB__PL3_REF_CTRL__DIVISOR0 {4} \
# #TE_MOD#    CONFIG.PSU__CRL_APB__PL3_REF_CTRL__ACT_FREQMHZ {100} \
# #TE_MOD#    CONFIG.PSU__CRL_APB__PL2_REF_CTRL__SRCSEL {RPLL} \
# #TE_MOD#    CONFIG.PSU__CRL_APB__PL2_REF_CTRL__FREQMHZ {100} \
# #TE_MOD#    CONFIG.PSU__CRL_APB__PL2_REF_CTRL__DIVISOR1 {1} \
# #TE_MOD#    CONFIG.PSU__CRL_APB__PL2_REF_CTRL__DIVISOR0 {4} \
# #TE_MOD#    CONFIG.PSU__CRL_APB__PL2_REF_CTRL__ACT_FREQMHZ {100} \
# #TE_MOD#    CONFIG.PSU__CRL_APB__PL1_REF_CTRL__SRCSEL {RPLL} \
# #TE_MOD#    CONFIG.PSU__CRL_APB__PL1_REF_CTRL__FREQMHZ {100} \
# #TE_MOD#    CONFIG.PSU__CRL_APB__PL1_REF_CTRL__DIVISOR1 {1} \
# #TE_MOD#    CONFIG.PSU__CRL_APB__PL1_REF_CTRL__DIVISOR0 {4} \
# #TE_MOD#    CONFIG.PSU__CRL_APB__PL1_REF_CTRL__ACT_FREQMHZ {100} \
# #TE_MOD#    CONFIG.PSU__CRL_APB__PL0_REF_CTRL__SRCSEL {RPLL} \
# #TE_MOD#    CONFIG.PSU__CRL_APB__PL0_REF_CTRL__FREQMHZ {100} \
# #TE_MOD#    CONFIG.PSU__CRL_APB__PL0_REF_CTRL__DIVISOR1 {1} \
# #TE_MOD#    CONFIG.PSU__CRL_APB__PL0_REF_CTRL__DIVISOR0 {8} \
# #TE_MOD#    CONFIG.PSU__CRL_APB__PL0_REF_CTRL__ACT_FREQMHZ {99.999990} \
# #TE_MOD#    CONFIG.PSU__CRL_APB__PCAP_CTRL__SRCSEL {IOPLL} \
# #TE_MOD#    CONFIG.PSU__CRL_APB__PCAP_CTRL__FREQMHZ {200} \
# #TE_MOD#    CONFIG.PSU__CRL_APB__PCAP_CTRL__DIVISOR0 {8} \
# #TE_MOD#    CONFIG.PSU__CRL_APB__PCAP_CTRL__ACT_FREQMHZ {187.499981} \
# #TE_MOD#    CONFIG.PSU__CRL_APB__OCM_MAIN_CTRL__SRCSEL {IOPLL} \
# #TE_MOD#    CONFIG.PSU__CRL_APB__OCM_MAIN_CTRL__FREQMHZ {500} \
# #TE_MOD#    CONFIG.PSU__CRL_APB__OCM_MAIN_CTRL__DIVISOR0 {3} \
# #TE_MOD#    CONFIG.PSU__CRL_APB__OCM_MAIN_CTRL__ACT_FREQMHZ {500} \
# #TE_MOD#    CONFIG.PSU__CRL_APB__NAND_REF_CTRL__SRCSEL {IOPLL} \
# #TE_MOD#    CONFIG.PSU__CRL_APB__NAND_REF_CTRL__FREQMHZ {100} \
# #TE_MOD#    CONFIG.PSU__CRL_APB__NAND_REF_CTRL__DIVISOR1 {1} \
# #TE_MOD#    CONFIG.PSU__CRL_APB__NAND_REF_CTRL__DIVISOR0 {15} \
# #TE_MOD#    CONFIG.PSU__CRL_APB__NAND_REF_CTRL__ACT_FREQMHZ {100} \
# #TE_MOD#    CONFIG.PSU__CRL_APB__LPD_SWITCH_CTRL__SRCSEL {IOPLL} \
# #TE_MOD#    CONFIG.PSU__CRL_APB__LPD_SWITCH_CTRL__FREQMHZ {500} \
# #TE_MOD#    CONFIG.PSU__CRL_APB__LPD_SWITCH_CTRL__DIVISOR0 {3} \
# #TE_MOD#    CONFIG.PSU__CRL_APB__LPD_SWITCH_CTRL__ACT_FREQMHZ {499.999950} \
# #TE_MOD#    CONFIG.PSU__CRL_APB__LPD_LSBUS_CTRL__SRCSEL {IOPLL} \
# #TE_MOD#    CONFIG.PSU__CRL_APB__LPD_LSBUS_CTRL__FREQMHZ {100} \
# #TE_MOD#    CONFIG.PSU__CRL_APB__LPD_LSBUS_CTRL__DIVISOR0 {15} \
# #TE_MOD#    CONFIG.PSU__CRL_APB__LPD_LSBUS_CTRL__ACT_FREQMHZ {99.999990} \
# #TE_MOD#    CONFIG.PSU__CRL_APB__IOU_SWITCH_CTRL__SRCSEL {RPLL} \
# #TE_MOD#    CONFIG.PSU__CRL_APB__IOU_SWITCH_CTRL__FREQMHZ {267} \
# #TE_MOD#    CONFIG.PSU__CRL_APB__IOU_SWITCH_CTRL__DIVISOR0 {3} \
# #TE_MOD#    CONFIG.PSU__CRL_APB__IOU_SWITCH_CTRL__ACT_FREQMHZ {266.666640} \
# #TE_MOD#    CONFIG.PSU__CRL_APB__IOPLL_TO_FPD_CTRL__DIVISOR0 {3} \
# #TE_MOD#    CONFIG.PSU__CRL_APB__IOPLL_FRAC_CFG__ENABLED {0} \
# #TE_MOD#    CONFIG.PSU__CRL_APB__IOPLL_CTRL__SRCSEL {PSS_REF_CLK} \
# #TE_MOD#    CONFIG.PSU__CRL_APB__IOPLL_CTRL__FRACFREQ {27.138} \
# #TE_MOD#    CONFIG.PSU__CRL_APB__IOPLL_CTRL__FRACDATA {0.000000} \
# #TE_MOD#    CONFIG.PSU__CRL_APB__IOPLL_CTRL__FBDIV {90} \
# #TE_MOD#    CONFIG.PSU__CRL_APB__IOPLL_CTRL__DIV2 {1} \
# #TE_MOD#    CONFIG.PSU__CRL_APB__I2C1_REF_CTRL__SRCSEL {IOPLL} \
# #TE_MOD#    CONFIG.PSU__CRL_APB__I2C1_REF_CTRL__FREQMHZ {100} \
# #TE_MOD#    CONFIG.PSU__CRL_APB__I2C1_REF_CTRL__DIVISOR1 {1} \
# #TE_MOD#    CONFIG.PSU__CRL_APB__I2C1_REF_CTRL__DIVISOR0 {15} \
# #TE_MOD#    CONFIG.PSU__CRL_APB__I2C1_REF_CTRL__ACT_FREQMHZ {100} \
# #TE_MOD#    CONFIG.PSU__CRL_APB__I2C0_REF_CTRL__SRCSEL {IOPLL} \
# #TE_MOD#    CONFIG.PSU__CRL_APB__I2C0_REF_CTRL__FREQMHZ {100} \
# #TE_MOD#    CONFIG.PSU__CRL_APB__I2C0_REF_CTRL__DIVISOR1 {1} \
# #TE_MOD#    CONFIG.PSU__CRL_APB__I2C0_REF_CTRL__DIVISOR0 {15} \
# #TE_MOD#    CONFIG.PSU__CRL_APB__I2C0_REF_CTRL__ACT_FREQMHZ {100} \
# #TE_MOD#    CONFIG.PSU__CRL_APB__GEM_TSU_REF_CTRL__SRCSEL {IOPLL} \
# #TE_MOD#    CONFIG.PSU__CRL_APB__GEM_TSU_REF_CTRL__FREQMHZ {250} \
# #TE_MOD#    CONFIG.PSU__CRL_APB__GEM_TSU_REF_CTRL__DIVISOR1 {1} \
# #TE_MOD#    CONFIG.PSU__CRL_APB__GEM_TSU_REF_CTRL__DIVISOR0 {4} \
# #TE_MOD#    CONFIG.PSU__CRL_APB__GEM_TSU_REF_CTRL__ACT_FREQMHZ {250} \
# #TE_MOD#    CONFIG.PSU__CRL_APB__GEM3_REF_CTRL__SRCSEL {IOPLL} \
# #TE_MOD#    CONFIG.PSU__CRL_APB__GEM3_REF_CTRL__FREQMHZ {125} \
# #TE_MOD#    CONFIG.PSU__CRL_APB__GEM3_REF_CTRL__DIVISOR1 {1} \
# #TE_MOD#    CONFIG.PSU__CRL_APB__GEM3_REF_CTRL__DIVISOR0 {12} \
# #TE_MOD#    CONFIG.PSU__CRL_APB__GEM3_REF_CTRL__ACT_FREQMHZ {125} \
# #TE_MOD#    CONFIG.PSU__CRL_APB__GEM2_REF_CTRL__SRCSEL {IOPLL} \
# #TE_MOD#    CONFIG.PSU__CRL_APB__GEM2_REF_CTRL__FREQMHZ {125} \
# #TE_MOD#    CONFIG.PSU__CRL_APB__GEM2_REF_CTRL__DIVISOR1 {1} \
# #TE_MOD#    CONFIG.PSU__CRL_APB__GEM2_REF_CTRL__DIVISOR0 {12} \
# #TE_MOD#    CONFIG.PSU__CRL_APB__GEM2_REF_CTRL__ACT_FREQMHZ {125} \
# #TE_MOD#    CONFIG.PSU__CRL_APB__GEM1_REF_CTRL__SRCSEL {IOPLL} \
# #TE_MOD#    CONFIG.PSU__CRL_APB__GEM1_REF_CTRL__FREQMHZ {125} \
# #TE_MOD#    CONFIG.PSU__CRL_APB__GEM1_REF_CTRL__DIVISOR1 {1} \
# #TE_MOD#    CONFIG.PSU__CRL_APB__GEM1_REF_CTRL__DIVISOR0 {12} \
# #TE_MOD#    CONFIG.PSU__CRL_APB__GEM1_REF_CTRL__ACT_FREQMHZ {125} \
# #TE_MOD#    CONFIG.PSU__CRL_APB__GEM0_REF_CTRL__SRCSEL {IOPLL} \
# #TE_MOD#    CONFIG.PSU__CRL_APB__GEM0_REF_CTRL__FREQMHZ {125} \
# #TE_MOD#    CONFIG.PSU__CRL_APB__GEM0_REF_CTRL__DIVISOR1 {1} \
# #TE_MOD#    CONFIG.PSU__CRL_APB__GEM0_REF_CTRL__DIVISOR0 {12} \
# #TE_MOD#    CONFIG.PSU__CRL_APB__GEM0_REF_CTRL__ACT_FREQMHZ {125} \
# #TE_MOD#    CONFIG.PSU__CRL_APB__DLL_REF_CTRL__SRCSEL {IOPLL} \
# #TE_MOD#    CONFIG.PSU__CRL_APB__DLL_REF_CTRL__FREQMHZ {1500} \
# #TE_MOD#    CONFIG.PSU__CRL_APB__DLL_REF_CTRL__ACT_FREQMHZ {1499.999850} \
# #TE_MOD#    CONFIG.PSU__CRL_APB__DEBUG_R5_ATCLK_CTRL__SRCSEL {RPLL} \
# #TE_MOD#    CONFIG.PSU__CRL_APB__DEBUG_R5_ATCLK_CTRL__FREQMHZ {1000} \
# #TE_MOD#    CONFIG.PSU__CRL_APB__DEBUG_R5_ATCLK_CTRL__DIVISOR0 {6} \
# #TE_MOD#    CONFIG.PSU__CRL_APB__DEBUG_R5_ATCLK_CTRL__ACT_FREQMHZ {1000} \
# #TE_MOD#    CONFIG.PSU__CRL_APB__DBG_LPD_CTRL__SRCSEL {IOPLL} \
# #TE_MOD#    CONFIG.PSU__CRL_APB__DBG_LPD_CTRL__FREQMHZ {250} \
# #TE_MOD#    CONFIG.PSU__CRL_APB__DBG_LPD_CTRL__DIVISOR0 {6} \
# #TE_MOD#    CONFIG.PSU__CRL_APB__DBG_LPD_CTRL__ACT_FREQMHZ {249.999975} \
# #TE_MOD#    CONFIG.PSU__CRL_APB__CSU_PLL_CTRL__SRCSEL {SysOsc} \
# #TE_MOD#    CONFIG.PSU__CRL_APB__CSU_PLL_CTRL__FREQMHZ {180} \
# #TE_MOD#    CONFIG.PSU__CRL_APB__CSU_PLL_CTRL__DIVISOR0 {3} \
# #TE_MOD#    CONFIG.PSU__CRL_APB__CSU_PLL_CTRL__ACT_FREQMHZ {180} \
# #TE_MOD#    CONFIG.PSU__CRL_APB__CPU_R5_CTRL__SRCSEL {IOPLL} \
# #TE_MOD#    CONFIG.PSU__CRL_APB__CPU_R5_CTRL__FREQMHZ {500} \
# #TE_MOD#    CONFIG.PSU__CRL_APB__CPU_R5_CTRL__DIVISOR0 {3} \
# #TE_MOD#    CONFIG.PSU__CRL_APB__CPU_R5_CTRL__ACT_FREQMHZ {499.999950} \
# #TE_MOD#    CONFIG.PSU__CRL_APB__CAN1_REF_CTRL__SRCSEL {IOPLL} \
# #TE_MOD#    CONFIG.PSU__CRL_APB__CAN1_REF_CTRL__FREQMHZ {100} \
# #TE_MOD#    CONFIG.PSU__CRL_APB__CAN1_REF_CTRL__DIVISOR1 {1} \
# #TE_MOD#    CONFIG.PSU__CRL_APB__CAN1_REF_CTRL__DIVISOR0 {15} \
# #TE_MOD#    CONFIG.PSU__CRL_APB__CAN1_REF_CTRL__ACT_FREQMHZ {100} \
# #TE_MOD#    CONFIG.PSU__CRL_APB__CAN0_REF_CTRL__SRCSEL {IOPLL} \
# #TE_MOD#    CONFIG.PSU__CRL_APB__CAN0_REF_CTRL__FREQMHZ {100} \
# #TE_MOD#    CONFIG.PSU__CRL_APB__CAN0_REF_CTRL__DIVISOR1 {1} \
# #TE_MOD#    CONFIG.PSU__CRL_APB__CAN0_REF_CTRL__DIVISOR0 {15} \
# #TE_MOD#    CONFIG.PSU__CRL_APB__CAN0_REF_CTRL__ACT_FREQMHZ {100} \
# #TE_MOD#    CONFIG.PSU__CRL_APB__AMS_REF_CTRL__SRCSEL {IOPLL} \
# #TE_MOD#    CONFIG.PSU__CRL_APB__AMS_REF_CTRL__FREQMHZ {50} \
# #TE_MOD#    CONFIG.PSU__CRL_APB__AMS_REF_CTRL__DIVISOR1 {1} \
# #TE_MOD#    CONFIG.PSU__CRL_APB__AMS_REF_CTRL__DIVISOR0 {30} \
# #TE_MOD#    CONFIG.PSU__CRL_APB__AMS_REF_CTRL__ACT_FREQMHZ {49.999995} \
# #TE_MOD#    CONFIG.PSU__CRL_APB__AFI6__ENABLE {0} \
# #TE_MOD#    CONFIG.PSU__CRL_APB__AFI6_REF_CTRL__SRCSEL {IOPLL} \
# #TE_MOD#    CONFIG.PSU__CRL_APB__AFI6_REF_CTRL__FREQMHZ {500} \
# #TE_MOD#    CONFIG.PSU__CRL_APB__AFI6_REF_CTRL__DIVISOR0 {3} \
# #TE_MOD#    CONFIG.PSU__CRL_APB__AFI6_REF_CTRL__ACT_FREQMHZ {500} \
# #TE_MOD#    CONFIG.PSU__CRL_APB__ADMA_REF_CTRL__SRCSEL {IOPLL} \
# #TE_MOD#    CONFIG.PSU__CRL_APB__ADMA_REF_CTRL__FREQMHZ {500} \
# #TE_MOD#    CONFIG.PSU__CRL_APB__ADMA_REF_CTRL__DIVISOR0 {3} \
# #TE_MOD#    CONFIG.PSU__CRL_APB__ADMA_REF_CTRL__ACT_FREQMHZ {499.999950} \
# #TE_MOD#    CONFIG.PSU__CRF_APB__VPLL_TO_LPD_CTRL__DIVISOR0 {2} \
# #TE_MOD#    CONFIG.PSU__CRF_APB__VPLL_FRAC_CFG__ENABLED {0} \
# #TE_MOD#    CONFIG.PSU__CRF_APB__VPLL_CTRL__SRCSEL {PSS_REF_CLK} \
# #TE_MOD#    CONFIG.PSU__CRF_APB__VPLL_CTRL__FRACFREQ {27.138} \
# #TE_MOD#    CONFIG.PSU__CRF_APB__VPLL_CTRL__FRACDATA {0.000000} \
# #TE_MOD#    CONFIG.PSU__CRF_APB__VPLL_CTRL__FBDIV {63} \
# #TE_MOD#    CONFIG.PSU__CRF_APB__VPLL_CTRL__DIV2 {1} \
# #TE_MOD#    CONFIG.PSU__CRF_APB__TOPSW_MAIN_CTRL__SRCSEL {VPLL} \
# #TE_MOD#    CONFIG.PSU__CRF_APB__TOPSW_MAIN_CTRL__FREQMHZ {533.333} \
# #TE_MOD#    CONFIG.PSU__CRF_APB__TOPSW_MAIN_CTRL__DIVISOR0 {2} \
# #TE_MOD#    CONFIG.PSU__CRF_APB__TOPSW_MAIN_CTRL__ACT_FREQMHZ {524.999947} \
# #TE_MOD#    CONFIG.PSU__CRF_APB__TOPSW_LSBUS_CTRL__SRCSEL {IOPLL} \
# #TE_MOD#    CONFIG.PSU__CRF_APB__TOPSW_LSBUS_CTRL__FREQMHZ {100} \
# #TE_MOD#    CONFIG.PSU__CRF_APB__TOPSW_LSBUS_CTRL__DIVISOR0 {5} \
# #TE_MOD#    CONFIG.PSU__CRF_APB__TOPSW_LSBUS_CTRL__ACT_FREQMHZ {99.999990} \
# #TE_MOD#    CONFIG.PSU__CRF_APB__SATA_REF_CTRL__SRCSEL {IOPLL} \
# #TE_MOD#    CONFIG.PSU__CRF_APB__SATA_REF_CTRL__FREQMHZ {250} \
# #TE_MOD#    CONFIG.PSU__CRF_APB__SATA_REF_CTRL__DIVISOR0 {5} \
# #TE_MOD#    CONFIG.PSU__CRF_APB__SATA_REF_CTRL__ACT_FREQMHZ {250} \
# #TE_MOD#    CONFIG.PSU__CRF_APB__PCIE_REF_CTRL__SRCSEL {IOPLL} \
# #TE_MOD#    CONFIG.PSU__CRF_APB__PCIE_REF_CTRL__FREQMHZ {250} \
# #TE_MOD#    CONFIG.PSU__CRF_APB__PCIE_REF_CTRL__DIVISOR0 {6} \
# #TE_MOD#    CONFIG.PSU__CRF_APB__PCIE_REF_CTRL__ACT_FREQMHZ {250} \
# #TE_MOD#    CONFIG.PSU__CRF_APB__GTGREF0__ENABLE {NA} \
# #TE_MOD#    CONFIG.PSU__CRF_APB__GTGREF0_REF_CTRL__SRCSEL {NA} \
# #TE_MOD#    CONFIG.PSU__CRF_APB__GTGREF0_REF_CTRL__FREQMHZ {-1} \
# #TE_MOD#    CONFIG.PSU__CRF_APB__GTGREF0_REF_CTRL__DIVISOR0 {-1} \
# #TE_MOD#    CONFIG.PSU__CRF_APB__GTGREF0_REF_CTRL__ACT_FREQMHZ {-1} \
# #TE_MOD#    CONFIG.PSU__CRF_APB__GPU_REF_CTRL__SRCSEL {DPLL} \
# #TE_MOD#    CONFIG.PSU__CRF_APB__GPU_REF_CTRL__FREQMHZ {600} \
# #TE_MOD#    CONFIG.PSU__CRF_APB__GPU_REF_CTRL__DIVISOR0 {2} \
# #TE_MOD#    CONFIG.PSU__CRF_APB__GPU_REF_CTRL__ACT_FREQMHZ {599.999940} \
# #TE_MOD#    CONFIG.PSU__CRF_APB__GDMA_REF_CTRL__SRCSEL {DPLL} \
# #TE_MOD#    CONFIG.PSU__CRF_APB__GDMA_REF_CTRL__FREQMHZ {600} \
# #TE_MOD#    CONFIG.PSU__CRF_APB__GDMA_REF_CTRL__DIVISOR0 {2} \
# #TE_MOD#    CONFIG.PSU__CRF_APB__GDMA_REF_CTRL__ACT_FREQMHZ {599.999940} \
# #TE_MOD#    CONFIG.PSU__CRF_APB__DP_VIDEO__FRAC_ENABLED {0} \
# #TE_MOD#    CONFIG.PSU__CRF_APB__DP_VIDEO_REF_CTRL__SRCSEL {DPLL} \
# #TE_MOD#    CONFIG.PSU__CRF_APB__DP_VIDEO_REF_CTRL__FREQMHZ {300} \
# #TE_MOD#    CONFIG.PSU__CRF_APB__DP_VIDEO_REF_CTRL__DIVISOR1 {1} \
# #TE_MOD#    CONFIG.PSU__CRF_APB__DP_VIDEO_REF_CTRL__DIVISOR0 {5} \
# #TE_MOD#    CONFIG.PSU__CRF_APB__DP_VIDEO_REF_CTRL__ACT_FREQMHZ {320} \
# #TE_MOD#    CONFIG.PSU__CRF_APB__DP_STC_REF_CTRL__SRCSEL {VPLL} \
# #TE_MOD#    CONFIG.PSU__CRF_APB__DP_STC_REF_CTRL__FREQMHZ {27} \
# #TE_MOD#    CONFIG.PSU__CRF_APB__DP_STC_REF_CTRL__DIVISOR1 {10} \
# #TE_MOD#    CONFIG.PSU__CRF_APB__DP_STC_REF_CTRL__DIVISOR0 {6} \
# #TE_MOD#    CONFIG.PSU__CRF_APB__DP_STC_REF_CTRL__ACT_FREQMHZ {27} \
# #TE_MOD#    CONFIG.PSU__CRF_APB__DP_AUDIO__FRAC_ENABLED {0} \
# #TE_MOD#    CONFIG.PSU__CRF_APB__DP_AUDIO_REF_CTRL__SRCSEL {VPLL} \
# #TE_MOD#    CONFIG.PSU__CRF_APB__DP_AUDIO_REF_CTRL__FREQMHZ {25} \
# #TE_MOD#    CONFIG.PSU__CRF_APB__DP_AUDIO_REF_CTRL__DIVISOR1 {1} \
# #TE_MOD#    CONFIG.PSU__CRF_APB__DP_AUDIO_REF_CTRL__DIVISOR0 {63} \
# #TE_MOD#    CONFIG.PSU__CRF_APB__DP_AUDIO_REF_CTRL__ACT_FREQMHZ {25} \
# #TE_MOD#    CONFIG.PSU__CRF_APB__DPLL_TO_LPD_CTRL__DIVISOR0 {3} \
# #TE_MOD#    CONFIG.PSU__CRF_APB__DPLL_FRAC_CFG__ENABLED {0} \
# #TE_MOD#    CONFIG.PSU__CRF_APB__DPLL_CTRL__SRCSEL {PSS_REF_CLK} \
# #TE_MOD#    CONFIG.PSU__CRF_APB__DPLL_CTRL__FRACFREQ {27.138} \
# #TE_MOD#    CONFIG.PSU__CRF_APB__DPLL_CTRL__FRACDATA {0.000000} \
# #TE_MOD#    CONFIG.PSU__CRF_APB__DPLL_CTRL__FBDIV {72} \
# #TE_MOD#    CONFIG.PSU__CRF_APB__DPLL_CTRL__DIV2 {1} \
# #TE_MOD#    CONFIG.PSU__CRF_APB__DPDMA_REF_CTRL__SRCSEL {DPLL} \
# #TE_MOD#    CONFIG.PSU__CRF_APB__DPDMA_REF_CTRL__FREQMHZ {600} \
# #TE_MOD#    CONFIG.PSU__CRF_APB__DPDMA_REF_CTRL__DIVISOR0 {2} \
# #TE_MOD#    CONFIG.PSU__CRF_APB__DPDMA_REF_CTRL__ACT_FREQMHZ {599.999940} \
# #TE_MOD#    CONFIG.PSU__CRF_APB__DDR_CTRL__SRCSEL {DPLL} \
# #TE_MOD#    CONFIG.PSU__CRF_APB__DDR_CTRL__FREQMHZ {1200} \
# #TE_MOD#    CONFIG.PSU__CRF_APB__DDR_CTRL__DIVISOR0 {2} \
# #TE_MOD#    CONFIG.PSU__CRF_APB__DDR_CTRL__ACT_FREQMHZ {599.999940} \
# #TE_MOD#    CONFIG.PSU__CRF_APB__DBG_TSTMP_CTRL__SRCSEL {IOPLL} \
# #TE_MOD#    CONFIG.PSU__CRF_APB__DBG_TSTMP_CTRL__FREQMHZ {250} \
# #TE_MOD#    CONFIG.PSU__CRF_APB__DBG_TSTMP_CTRL__DIVISOR0 {2} \
# #TE_MOD#    CONFIG.PSU__CRF_APB__DBG_TSTMP_CTRL__ACT_FREQMHZ {249.999975} \
# #TE_MOD#    CONFIG.PSU__CRF_APB__DBG_TRACE_CTRL__SRCSEL {IOPLL} \
# #TE_MOD#    CONFIG.PSU__CRF_APB__DBG_TRACE_CTRL__FREQMHZ {250} \
# #TE_MOD#    CONFIG.PSU__CRF_APB__DBG_TRACE_CTRL__DIVISOR0 {5} \
# #TE_MOD#    CONFIG.PSU__CRF_APB__DBG_TRACE_CTRL__ACT_FREQMHZ {250} \
# #TE_MOD#    CONFIG.PSU__CRF_APB__DBG_FPD_CTRL__SRCSEL {IOPLL} \
# #TE_MOD#    CONFIG.PSU__CRF_APB__DBG_FPD_CTRL__FREQMHZ {250} \
# #TE_MOD#    CONFIG.PSU__CRF_APB__DBG_FPD_CTRL__DIVISOR0 {2} \
# #TE_MOD#    CONFIG.PSU__CRF_APB__DBG_FPD_CTRL__ACT_FREQMHZ {249.999975} \
# #TE_MOD#    CONFIG.PSU__CRF_APB__APM_CTRL__FREQMHZ {1} \
# #TE_MOD#    CONFIG.PSU__CRF_APB__APM_CTRL__DIVISOR0 {1} \
# #TE_MOD#    CONFIG.PSU__CRF_APB__APM_CTRL__ACT_FREQMHZ {1} \
# #TE_MOD#    CONFIG.PSU__CRF_APB__APLL_TO_LPD_CTRL__DIVISOR0 {3} \
# #TE_MOD#    CONFIG.PSU__CRF_APB__APLL_FRAC_CFG__ENABLED {0} \
# #TE_MOD#    CONFIG.PSU__CRF_APB__APLL_CTRL__SRCSEL {PSS_REF_CLK} \
# #TE_MOD#    CONFIG.PSU__CRF_APB__APLL_CTRL__FRACFREQ {27.138} \
# #TE_MOD#    CONFIG.PSU__CRF_APB__APLL_CTRL__FRACDATA {0.000000} \
# #TE_MOD#    CONFIG.PSU__CRF_APB__APLL_CTRL__FBDIV {72} \
# #TE_MOD#    CONFIG.PSU__CRF_APB__APLL_CTRL__DIV2 {1} \
# #TE_MOD#    CONFIG.PSU__CRF_APB__AFI5_REF__ENABLE {0} \
# #TE_MOD#    CONFIG.PSU__CRF_APB__AFI5_REF_CTRL__SRCSEL {DPLL} \
# #TE_MOD#    CONFIG.PSU__CRF_APB__AFI5_REF_CTRL__FREQMHZ {667} \
# #TE_MOD#    CONFIG.PSU__CRF_APB__AFI5_REF_CTRL__DIVISOR0 {2} \
# #TE_MOD#    CONFIG.PSU__CRF_APB__AFI5_REF_CTRL__ACT_FREQMHZ {667} \
# #TE_MOD#    CONFIG.PSU__CRF_APB__AFI4_REF__ENABLE {0} \
# #TE_MOD#    CONFIG.PSU__CRF_APB__AFI4_REF_CTRL__SRCSEL {DPLL} \
# #TE_MOD#    CONFIG.PSU__CRF_APB__AFI4_REF_CTRL__FREQMHZ {667} \
# #TE_MOD#    CONFIG.PSU__CRF_APB__AFI4_REF_CTRL__DIVISOR0 {2} \
# #TE_MOD#    CONFIG.PSU__CRF_APB__AFI4_REF_CTRL__ACT_FREQMHZ {667} \
# #TE_MOD#    CONFIG.PSU__CRF_APB__AFI3_REF__ENABLE {0} \
# #TE_MOD#    CONFIG.PSU__CRF_APB__AFI3_REF_CTRL__SRCSEL {DPLL} \
# #TE_MOD#    CONFIG.PSU__CRF_APB__AFI3_REF_CTRL__FREQMHZ {667} \
# #TE_MOD#    CONFIG.PSU__CRF_APB__AFI3_REF_CTRL__DIVISOR0 {2} \
# #TE_MOD#    CONFIG.PSU__CRF_APB__AFI3_REF_CTRL__ACT_FREQMHZ {667} \
# #TE_MOD#    CONFIG.PSU__CRF_APB__AFI2_REF__ENABLE {0} \
# #TE_MOD#    CONFIG.PSU__CRF_APB__AFI2_REF_CTRL__SRCSEL {DPLL} \
# #TE_MOD#    CONFIG.PSU__CRF_APB__AFI2_REF_CTRL__FREQMHZ {667} \
# #TE_MOD#    CONFIG.PSU__CRF_APB__AFI2_REF_CTRL__DIVISOR0 {2} \
# #TE_MOD#    CONFIG.PSU__CRF_APB__AFI2_REF_CTRL__ACT_FREQMHZ {667} \
# #TE_MOD#    CONFIG.PSU__CRF_APB__AFI1_REF__ENABLE {0} \
# #TE_MOD#    CONFIG.PSU__CRF_APB__AFI1_REF_CTRL__SRCSEL {DPLL} \
# #TE_MOD#    CONFIG.PSU__CRF_APB__AFI1_REF_CTRL__FREQMHZ {667} \
# #TE_MOD#    CONFIG.PSU__CRF_APB__AFI1_REF_CTRL__DIVISOR0 {2} \
# #TE_MOD#    CONFIG.PSU__CRF_APB__AFI1_REF_CTRL__ACT_FREQMHZ {667} \
# #TE_MOD#    CONFIG.PSU__CRF_APB__AFI0_REF__ENABLE {0} \
# #TE_MOD#    CONFIG.PSU__CRF_APB__AFI0_REF_CTRL__SRCSEL {DPLL} \
# #TE_MOD#    CONFIG.PSU__CRF_APB__AFI0_REF_CTRL__FREQMHZ {667} \
# #TE_MOD#    CONFIG.PSU__CRF_APB__AFI0_REF_CTRL__DIVISOR0 {2} \
# #TE_MOD#    CONFIG.PSU__CRF_APB__AFI0_REF_CTRL__ACT_FREQMHZ {667} \
# #TE_MOD#    CONFIG.PSU__CRF_APB__ACPU_CTRL__SRCSEL {APLL} \
# #TE_MOD#    CONFIG.PSU__CRF_APB__ACPU_CTRL__FREQMHZ {1200} \
# #TE_MOD#    CONFIG.PSU__CRF_APB__ACPU_CTRL__DIVISOR0 {1} \
# #TE_MOD#    CONFIG.PSU__CRF_APB__ACPU_CTRL__ACT_FREQMHZ {1199.999880} \
# #TE_MOD#    CONFIG.PSU__CAN1__PERIPHERAL__ENABLE {0} \
# #TE_MOD#    CONFIG.PSU__CAN1__GRP_CLK__ENABLE {0} \
# #TE_MOD#    CONFIG.PSU__CAN0__PERIPHERAL__ENABLE {0} \
# #TE_MOD#    CONFIG.PSU__CAN0__GRP_CLK__ENABLE {0} \
# #TE_MOD#    CONFIG.PSU__CAN0_LOOP_CAN1__ENABLE {0} \
# #TE_MOD#    CONFIG.PSU__AUX_REF_CLK__FREQMHZ {33.333} \
# #TE_MOD#    CONFIG.PSU__AFI1_COHERENCY {0} \
# #TE_MOD#    CONFIG.PSU__AFI0_COHERENCY {0} \
# #TE_MOD#    CONFIG.PSU__ACT_DDR_FREQ_MHZ {1199.999878} \
# #TE_MOD#    CONFIG.PSU__ACTUAL__IP {1} \
# #TE_MOD#    CONFIG.PSU__ACPU3__POWER__ON {1} \
# #TE_MOD#    CONFIG.PSU__ACPU2__POWER__ON {1} \
# #TE_MOD#    CONFIG.PSU__ACPU1__POWER__ON {1} \
# #TE_MOD#    CONFIG.PSU__ACPU0__POWER__ON {1} \
# #TE_MOD#    CONFIG.PSU_VALUE_SILVERSION {3} \
# #TE_MOD#    CONFIG.PSU_SMC_CYCLE_T6 {NA} \
# #TE_MOD#    CONFIG.PSU_SMC_CYCLE_T5 {NA} \
# #TE_MOD#    CONFIG.PSU_SMC_CYCLE_T4 {NA} \
# #TE_MOD#    CONFIG.PSU_SMC_CYCLE_T3 {NA} \
# #TE_MOD#    CONFIG.PSU_SMC_CYCLE_T2 {NA} \
# #TE_MOD#    CONFIG.PSU_SMC_CYCLE_T1 {NA} \
# #TE_MOD#    CONFIG.PSU_SMC_CYCLE_T0 {NA} \
# #TE_MOD#    CONFIG.PSU_SD1_INTERNAL_BUS_WIDTH {8} \
# #TE_MOD#    CONFIG.PSU_SD0_INTERNAL_BUS_WIDTH {8} \
# #TE_MOD#    CONFIG.PSU_PERIPHERAL_BOARD_PRESET {} \
# #TE_MOD#    CONFIG.PSU_MIO_TREE_SIGNALS {sclk_out#miso_mo1#mo2#mo3#mosi_mi0#n_ss_out#clk_for_lpbk#n_ss_out_upper#mo_upper[0]#mo_upper[1]#mo_upper[2]#mo_upper[3]#sclk_out_upper##############################rxd#txd##################################} \
# #TE_MOD#    CONFIG.PSU_MIO_TREE_PERIPHERALS {Quad SPI Flash#Quad SPI Flash#Quad SPI Flash#Quad SPI Flash#Quad SPI Flash#Quad SPI Flash#Feedback Clk#Quad SPI Flash#Quad SPI Flash#Quad SPI Flash#Quad SPI Flash#Quad SPI Flash#Quad SPI Flash##############################UART 0#UART 0##################################} \
# #TE_MOD#    CONFIG.PSU_MIO_9_SLEW {slow} \
# #TE_MOD#    CONFIG.PSU_MIO_9_PULLUPDOWN {pullup} \
# #TE_MOD#    CONFIG.PSU_MIO_9_INPUT_TYPE {schmitt} \
# #TE_MOD#    CONFIG.PSU_MIO_9_DRIVE_STRENGTH {12} \
# #TE_MOD#    CONFIG.PSU_MIO_9_DIRECTION {inout} \
# #TE_MOD#    CONFIG.PSU_MIO_8_SLEW {slow} \
# #TE_MOD#    CONFIG.PSU_MIO_8_PULLUPDOWN {pullup} \
# #TE_MOD#    CONFIG.PSU_MIO_8_INPUT_TYPE {schmitt} \
# #TE_MOD#    CONFIG.PSU_MIO_8_DRIVE_STRENGTH {12} \
# #TE_MOD#    CONFIG.PSU_MIO_8_DIRECTION {inout} \
# #TE_MOD#    CONFIG.PSU_MIO_7_SLEW {slow} \
# #TE_MOD#    CONFIG.PSU_MIO_7_PULLUPDOWN {pullup} \
# #TE_MOD#    CONFIG.PSU_MIO_7_INPUT_TYPE {schmitt} \
# #TE_MOD#    CONFIG.PSU_MIO_7_DRIVE_STRENGTH {12} \
# #TE_MOD#    CONFIG.PSU_MIO_7_DIRECTION {out} \
# #TE_MOD#    CONFIG.PSU_MIO_77_SLEW {slow} \
# #TE_MOD#    CONFIG.PSU_MIO_77_PULLUPDOWN {pullup} \
# #TE_MOD#    CONFIG.PSU_MIO_77_INPUT_TYPE {schmitt} \
# #TE_MOD#    CONFIG.PSU_MIO_77_DRIVE_STRENGTH {12} \
# #TE_MOD#    CONFIG.PSU_MIO_76_SLEW {slow} \
# #TE_MOD#    CONFIG.PSU_MIO_76_PULLUPDOWN {pullup} \
# #TE_MOD#    CONFIG.PSU_MIO_76_INPUT_TYPE {schmitt} \
# #TE_MOD#    CONFIG.PSU_MIO_76_DRIVE_STRENGTH {12} \
# #TE_MOD#    CONFIG.PSU_MIO_75_SLEW {slow} \
# #TE_MOD#    CONFIG.PSU_MIO_75_PULLUPDOWN {pullup} \
# #TE_MOD#    CONFIG.PSU_MIO_75_INPUT_TYPE {schmitt} \
# #TE_MOD#    CONFIG.PSU_MIO_75_DRIVE_STRENGTH {12} \
# #TE_MOD#    CONFIG.PSU_MIO_74_SLEW {slow} \
# #TE_MOD#    CONFIG.PSU_MIO_74_PULLUPDOWN {pullup} \
# #TE_MOD#    CONFIG.PSU_MIO_74_INPUT_TYPE {schmitt} \
# #TE_MOD#    CONFIG.PSU_MIO_74_DRIVE_STRENGTH {12} \
# #TE_MOD#    CONFIG.PSU_MIO_73_SLEW {slow} \
# #TE_MOD#    CONFIG.PSU_MIO_73_PULLUPDOWN {pullup} \
# #TE_MOD#    CONFIG.PSU_MIO_73_INPUT_TYPE {schmitt} \
# #TE_MOD#    CONFIG.PSU_MIO_73_DRIVE_STRENGTH {12} \
# #TE_MOD#    CONFIG.PSU_MIO_72_SLEW {slow} \
# #TE_MOD#    CONFIG.PSU_MIO_72_PULLUPDOWN {pullup} \
# #TE_MOD#    CONFIG.PSU_MIO_72_INPUT_TYPE {schmitt} \
# #TE_MOD#    CONFIG.PSU_MIO_72_DRIVE_STRENGTH {12} \
# #TE_MOD#    CONFIG.PSU_MIO_71_SLEW {slow} \
# #TE_MOD#    CONFIG.PSU_MIO_71_PULLUPDOWN {pullup} \
# #TE_MOD#    CONFIG.PSU_MIO_71_INPUT_TYPE {schmitt} \
# #TE_MOD#    CONFIG.PSU_MIO_71_DRIVE_STRENGTH {12} \
# #TE_MOD#    CONFIG.PSU_MIO_70_SLEW {slow} \
# #TE_MOD#    CONFIG.PSU_MIO_70_PULLUPDOWN {pullup} \
# #TE_MOD#    CONFIG.PSU_MIO_70_INPUT_TYPE {schmitt} \
# #TE_MOD#    CONFIG.PSU_MIO_70_DRIVE_STRENGTH {12} \
# #TE_MOD#    CONFIG.PSU_MIO_6_SLEW {slow} \
# #TE_MOD#    CONFIG.PSU_MIO_6_PULLUPDOWN {pullup} \
# #TE_MOD#    CONFIG.PSU_MIO_6_INPUT_TYPE {schmitt} \
# #TE_MOD#    CONFIG.PSU_MIO_6_DRIVE_STRENGTH {12} \
# #TE_MOD#    CONFIG.PSU_MIO_6_DIRECTION {out} \
# #TE_MOD#    CONFIG.PSU_MIO_69_SLEW {slow} \
# #TE_MOD#    CONFIG.PSU_MIO_69_PULLUPDOWN {pullup} \
# #TE_MOD#    CONFIG.PSU_MIO_69_INPUT_TYPE {schmitt} \
# #TE_MOD#    CONFIG.PSU_MIO_69_DRIVE_STRENGTH {12} \
# #TE_MOD#    CONFIG.PSU_MIO_68_SLEW {slow} \
# #TE_MOD#    CONFIG.PSU_MIO_68_PULLUPDOWN {pullup} \
# #TE_MOD#    CONFIG.PSU_MIO_68_INPUT_TYPE {schmitt} \
# #TE_MOD#    CONFIG.PSU_MIO_68_DRIVE_STRENGTH {12} \
# #TE_MOD#    CONFIG.PSU_MIO_67_SLEW {slow} \
# #TE_MOD#    CONFIG.PSU_MIO_67_PULLUPDOWN {pullup} \
# #TE_MOD#    CONFIG.PSU_MIO_67_INPUT_TYPE {schmitt} \
# #TE_MOD#    CONFIG.PSU_MIO_67_DRIVE_STRENGTH {12} \
# #TE_MOD#    CONFIG.PSU_MIO_66_SLEW {slow} \
# #TE_MOD#    CONFIG.PSU_MIO_66_PULLUPDOWN {pullup} \
# #TE_MOD#    CONFIG.PSU_MIO_66_INPUT_TYPE {schmitt} \
# #TE_MOD#    CONFIG.PSU_MIO_66_DRIVE_STRENGTH {12} \
# #TE_MOD#    CONFIG.PSU_MIO_65_SLEW {slow} \
# #TE_MOD#    CONFIG.PSU_MIO_65_PULLUPDOWN {pullup} \
# #TE_MOD#    CONFIG.PSU_MIO_65_INPUT_TYPE {schmitt} \
# #TE_MOD#    CONFIG.PSU_MIO_65_DRIVE_STRENGTH {12} \
# #TE_MOD#    CONFIG.PSU_MIO_64_SLEW {slow} \
# #TE_MOD#    CONFIG.PSU_MIO_64_PULLUPDOWN {pullup} \
# #TE_MOD#    CONFIG.PSU_MIO_64_INPUT_TYPE {schmitt} \
# #TE_MOD#    CONFIG.PSU_MIO_64_DRIVE_STRENGTH {12} \
# #TE_MOD#    CONFIG.PSU_MIO_63_SLEW {slow} \
# #TE_MOD#    CONFIG.PSU_MIO_63_PULLUPDOWN {pullup} \
# #TE_MOD#    CONFIG.PSU_MIO_63_INPUT_TYPE {schmitt} \
# #TE_MOD#    CONFIG.PSU_MIO_63_DRIVE_STRENGTH {12} \
# #TE_MOD#    CONFIG.PSU_MIO_62_SLEW {slow} \
# #TE_MOD#    CONFIG.PSU_MIO_62_PULLUPDOWN {pullup} \
# #TE_MOD#    CONFIG.PSU_MIO_62_INPUT_TYPE {schmitt} \
# #TE_MOD#    CONFIG.PSU_MIO_62_DRIVE_STRENGTH {12} \
# #TE_MOD#    CONFIG.PSU_MIO_61_SLEW {slow} \
# #TE_MOD#    CONFIG.PSU_MIO_61_PULLUPDOWN {pullup} \
# #TE_MOD#    CONFIG.PSU_MIO_61_INPUT_TYPE {schmitt} \
# #TE_MOD#    CONFIG.PSU_MIO_61_DRIVE_STRENGTH {12} \
# #TE_MOD#    CONFIG.PSU_MIO_60_SLEW {slow} \
# #TE_MOD#    CONFIG.PSU_MIO_60_PULLUPDOWN {pullup} \
# #TE_MOD#    CONFIG.PSU_MIO_60_INPUT_TYPE {schmitt} \
# #TE_MOD#    CONFIG.PSU_MIO_60_DRIVE_STRENGTH {12} \
# #TE_MOD#    CONFIG.PSU_MIO_5_SLEW {slow} \
# #TE_MOD#    CONFIG.PSU_MIO_5_PULLUPDOWN {pullup} \
# #TE_MOD#    CONFIG.PSU_MIO_5_INPUT_TYPE {schmitt} \
# #TE_MOD#    CONFIG.PSU_MIO_5_DRIVE_STRENGTH {12} \
# #TE_MOD#    CONFIG.PSU_MIO_5_DIRECTION {out} \
# #TE_MOD#    CONFIG.PSU_MIO_59_SLEW {slow} \
# #TE_MOD#    CONFIG.PSU_MIO_59_PULLUPDOWN {pullup} \
# #TE_MOD#    CONFIG.PSU_MIO_59_INPUT_TYPE {schmitt} \
# #TE_MOD#    CONFIG.PSU_MIO_59_DRIVE_STRENGTH {12} \
# #TE_MOD#    CONFIG.PSU_MIO_58_SLEW {slow} \
# #TE_MOD#    CONFIG.PSU_MIO_58_PULLUPDOWN {pullup} \
# #TE_MOD#    CONFIG.PSU_MIO_58_INPUT_TYPE {schmitt} \
# #TE_MOD#    CONFIG.PSU_MIO_58_DRIVE_STRENGTH {12} \
# #TE_MOD#    CONFIG.PSU_MIO_57_SLEW {slow} \
# #TE_MOD#    CONFIG.PSU_MIO_57_PULLUPDOWN {pullup} \
# #TE_MOD#    CONFIG.PSU_MIO_57_INPUT_TYPE {schmitt} \
# #TE_MOD#    CONFIG.PSU_MIO_57_DRIVE_STRENGTH {12} \
# #TE_MOD#    CONFIG.PSU_MIO_56_SLEW {slow} \
# #TE_MOD#    CONFIG.PSU_MIO_56_PULLUPDOWN {pullup} \
# #TE_MOD#    CONFIG.PSU_MIO_56_INPUT_TYPE {schmitt} \
# #TE_MOD#    CONFIG.PSU_MIO_56_DRIVE_STRENGTH {12} \
# #TE_MOD#    CONFIG.PSU_MIO_55_SLEW {slow} \
# #TE_MOD#    CONFIG.PSU_MIO_55_PULLUPDOWN {pullup} \
# #TE_MOD#    CONFIG.PSU_MIO_55_INPUT_TYPE {schmitt} \
# #TE_MOD#    CONFIG.PSU_MIO_55_DRIVE_STRENGTH {12} \
# #TE_MOD#    CONFIG.PSU_MIO_54_SLEW {slow} \
# #TE_MOD#    CONFIG.PSU_MIO_54_PULLUPDOWN {pullup} \
# #TE_MOD#    CONFIG.PSU_MIO_54_INPUT_TYPE {schmitt} \
# #TE_MOD#    CONFIG.PSU_MIO_54_DRIVE_STRENGTH {12} \
# #TE_MOD#    CONFIG.PSU_MIO_53_SLEW {slow} \
# #TE_MOD#    CONFIG.PSU_MIO_53_PULLUPDOWN {pullup} \
# #TE_MOD#    CONFIG.PSU_MIO_53_INPUT_TYPE {schmitt} \
# #TE_MOD#    CONFIG.PSU_MIO_53_DRIVE_STRENGTH {12} \
# #TE_MOD#    CONFIG.PSU_MIO_52_SLEW {slow} \
# #TE_MOD#    CONFIG.PSU_MIO_52_PULLUPDOWN {pullup} \
# #TE_MOD#    CONFIG.PSU_MIO_52_INPUT_TYPE {schmitt} \
# #TE_MOD#    CONFIG.PSU_MIO_52_DRIVE_STRENGTH {12} \
# #TE_MOD#    CONFIG.PSU_MIO_51_SLEW {slow} \
# #TE_MOD#    CONFIG.PSU_MIO_51_PULLUPDOWN {pullup} \
# #TE_MOD#    CONFIG.PSU_MIO_51_INPUT_TYPE {schmitt} \
# #TE_MOD#    CONFIG.PSU_MIO_51_DRIVE_STRENGTH {12} \
# #TE_MOD#    CONFIG.PSU_MIO_50_SLEW {slow} \
# #TE_MOD#    CONFIG.PSU_MIO_50_PULLUPDOWN {pullup} \
# #TE_MOD#    CONFIG.PSU_MIO_50_INPUT_TYPE {schmitt} \
# #TE_MOD#    CONFIG.PSU_MIO_50_DRIVE_STRENGTH {12} \
# #TE_MOD#    CONFIG.PSU_MIO_4_SLEW {slow} \
# #TE_MOD#    CONFIG.PSU_MIO_4_PULLUPDOWN {pullup} \
# #TE_MOD#    CONFIG.PSU_MIO_4_INPUT_TYPE {schmitt} \
# #TE_MOD#    CONFIG.PSU_MIO_4_DRIVE_STRENGTH {12} \
# #TE_MOD#    CONFIG.PSU_MIO_4_DIRECTION {inout} \
# #TE_MOD#    CONFIG.PSU_MIO_49_SLEW {slow} \
# #TE_MOD#    CONFIG.PSU_MIO_49_PULLUPDOWN {pullup} \
# #TE_MOD#    CONFIG.PSU_MIO_49_INPUT_TYPE {schmitt} \
# #TE_MOD#    CONFIG.PSU_MIO_49_DRIVE_STRENGTH {12} \
# #TE_MOD#    CONFIG.PSU_MIO_48_SLEW {slow} \
# #TE_MOD#    CONFIG.PSU_MIO_48_PULLUPDOWN {pullup} \
# #TE_MOD#    CONFIG.PSU_MIO_48_INPUT_TYPE {schmitt} \
# #TE_MOD#    CONFIG.PSU_MIO_48_DRIVE_STRENGTH {12} \
# #TE_MOD#    CONFIG.PSU_MIO_47_SLEW {slow} \
# #TE_MOD#    CONFIG.PSU_MIO_47_PULLUPDOWN {pullup} \
# #TE_MOD#    CONFIG.PSU_MIO_47_INPUT_TYPE {schmitt} \
# #TE_MOD#    CONFIG.PSU_MIO_47_DRIVE_STRENGTH {12} \
# #TE_MOD#    CONFIG.PSU_MIO_46_SLEW {slow} \
# #TE_MOD#    CONFIG.PSU_MIO_46_PULLUPDOWN {pullup} \
# #TE_MOD#    CONFIG.PSU_MIO_46_INPUT_TYPE {schmitt} \
# #TE_MOD#    CONFIG.PSU_MIO_46_DRIVE_STRENGTH {12} \
# #TE_MOD#    CONFIG.PSU_MIO_45_SLEW {slow} \
# #TE_MOD#    CONFIG.PSU_MIO_45_PULLUPDOWN {pullup} \
# #TE_MOD#    CONFIG.PSU_MIO_45_INPUT_TYPE {schmitt} \
# #TE_MOD#    CONFIG.PSU_MIO_45_DRIVE_STRENGTH {12} \
# #TE_MOD#    CONFIG.PSU_MIO_44_SLEW {slow} \
# #TE_MOD#    CONFIG.PSU_MIO_44_PULLUPDOWN {pullup} \
# #TE_MOD#    CONFIG.PSU_MIO_44_INPUT_TYPE {schmitt} \
# #TE_MOD#    CONFIG.PSU_MIO_44_DRIVE_STRENGTH {12} \
# #TE_MOD#    CONFIG.PSU_MIO_43_SLEW {slow} \
# #TE_MOD#    CONFIG.PSU_MIO_43_PULLUPDOWN {pullup} \
# #TE_MOD#    CONFIG.PSU_MIO_43_INPUT_TYPE {schmitt} \
# #TE_MOD#    CONFIG.PSU_MIO_43_DRIVE_STRENGTH {12} \
# #TE_MOD#    CONFIG.PSU_MIO_43_DIRECTION {out} \
# #TE_MOD#    CONFIG.PSU_MIO_42_SLEW {slow} \
# #TE_MOD#    CONFIG.PSU_MIO_42_PULLUPDOWN {pullup} \
# #TE_MOD#    CONFIG.PSU_MIO_42_INPUT_TYPE {schmitt} \
# #TE_MOD#    CONFIG.PSU_MIO_42_DRIVE_STRENGTH {12} \
# #TE_MOD#    CONFIG.PSU_MIO_42_DIRECTION {in} \
# #TE_MOD#    CONFIG.PSU_MIO_41_SLEW {slow} \
# #TE_MOD#    CONFIG.PSU_MIO_41_PULLUPDOWN {pullup} \
# #TE_MOD#    CONFIG.PSU_MIO_41_INPUT_TYPE {schmitt} \
# #TE_MOD#    CONFIG.PSU_MIO_41_DRIVE_STRENGTH {12} \
# #TE_MOD#    CONFIG.PSU_MIO_40_SLEW {slow} \
# #TE_MOD#    CONFIG.PSU_MIO_40_PULLUPDOWN {pullup} \
# #TE_MOD#    CONFIG.PSU_MIO_40_INPUT_TYPE {schmitt} \
# #TE_MOD#    CONFIG.PSU_MIO_40_DRIVE_STRENGTH {12} \
# #TE_MOD#    CONFIG.PSU_MIO_3_SLEW {slow} \
# #TE_MOD#    CONFIG.PSU_MIO_3_PULLUPDOWN {pullup} \
# #TE_MOD#    CONFIG.PSU_MIO_3_INPUT_TYPE {schmitt} \
# #TE_MOD#    CONFIG.PSU_MIO_3_DRIVE_STRENGTH {12} \
# #TE_MOD#    CONFIG.PSU_MIO_3_DIRECTION {inout} \
# #TE_MOD#    CONFIG.PSU_MIO_39_SLEW {slow} \
# #TE_MOD#    CONFIG.PSU_MIO_39_PULLUPDOWN {pullup} \
# #TE_MOD#    CONFIG.PSU_MIO_39_INPUT_TYPE {schmitt} \
# #TE_MOD#    CONFIG.PSU_MIO_39_DRIVE_STRENGTH {12} \
# #TE_MOD#    CONFIG.PSU_MIO_38_SLEW {slow} \
# #TE_MOD#    CONFIG.PSU_MIO_38_PULLUPDOWN {pullup} \
# #TE_MOD#    CONFIG.PSU_MIO_38_INPUT_TYPE {schmitt} \
# #TE_MOD#    CONFIG.PSU_MIO_38_DRIVE_STRENGTH {12} \
# #TE_MOD#    CONFIG.PSU_MIO_37_SLEW {slow} \
# #TE_MOD#    CONFIG.PSU_MIO_37_PULLUPDOWN {pullup} \
# #TE_MOD#    CONFIG.PSU_MIO_37_INPUT_TYPE {schmitt} \
# #TE_MOD#    CONFIG.PSU_MIO_37_DRIVE_STRENGTH {12} \
# #TE_MOD#    CONFIG.PSU_MIO_36_SLEW {slow} \
# #TE_MOD#    CONFIG.PSU_MIO_36_PULLUPDOWN {pullup} \
# #TE_MOD#    CONFIG.PSU_MIO_36_INPUT_TYPE {schmitt} \
# #TE_MOD#    CONFIG.PSU_MIO_36_DRIVE_STRENGTH {12} \
# #TE_MOD#    CONFIG.PSU_MIO_35_SLEW {slow} \
# #TE_MOD#    CONFIG.PSU_MIO_35_PULLUPDOWN {pullup} \
# #TE_MOD#    CONFIG.PSU_MIO_35_INPUT_TYPE {schmitt} \
# #TE_MOD#    CONFIG.PSU_MIO_35_DRIVE_STRENGTH {12} \
# #TE_MOD#    CONFIG.PSU_MIO_34_SLEW {slow} \
# #TE_MOD#    CONFIG.PSU_MIO_34_PULLUPDOWN {pullup} \
# #TE_MOD#    CONFIG.PSU_MIO_34_INPUT_TYPE {schmitt} \
# #TE_MOD#    CONFIG.PSU_MIO_34_DRIVE_STRENGTH {12} \
# #TE_MOD#    CONFIG.PSU_MIO_33_SLEW {slow} \
# #TE_MOD#    CONFIG.PSU_MIO_33_PULLUPDOWN {pullup} \
# #TE_MOD#    CONFIG.PSU_MIO_33_INPUT_TYPE {schmitt} \
# #TE_MOD#    CONFIG.PSU_MIO_33_DRIVE_STRENGTH {12} \
# #TE_MOD#    CONFIG.PSU_MIO_32_SLEW {slow} \
# #TE_MOD#    CONFIG.PSU_MIO_32_PULLUPDOWN {pullup} \
# #TE_MOD#    CONFIG.PSU_MIO_32_INPUT_TYPE {schmitt} \
# #TE_MOD#    CONFIG.PSU_MIO_32_DRIVE_STRENGTH {12} \
# #TE_MOD#    CONFIG.PSU_MIO_31_SLEW {slow} \
# #TE_MOD#    CONFIG.PSU_MIO_31_PULLUPDOWN {pullup} \
# #TE_MOD#    CONFIG.PSU_MIO_31_INPUT_TYPE {schmitt} \
# #TE_MOD#    CONFIG.PSU_MIO_31_DRIVE_STRENGTH {12} \
# #TE_MOD#    CONFIG.PSU_MIO_30_SLEW {slow} \
# #TE_MOD#    CONFIG.PSU_MIO_30_PULLUPDOWN {pullup} \
# #TE_MOD#    CONFIG.PSU_MIO_30_INPUT_TYPE {schmitt} \
# #TE_MOD#    CONFIG.PSU_MIO_30_DRIVE_STRENGTH {12} \
# #TE_MOD#    CONFIG.PSU_MIO_2_SLEW {slow} \
# #TE_MOD#    CONFIG.PSU_MIO_2_PULLUPDOWN {pullup} \
# #TE_MOD#    CONFIG.PSU_MIO_2_INPUT_TYPE {schmitt} \
# #TE_MOD#    CONFIG.PSU_MIO_2_DRIVE_STRENGTH {12} \
# #TE_MOD#    CONFIG.PSU_MIO_2_DIRECTION {inout} \
# #TE_MOD#    CONFIG.PSU_MIO_29_SLEW {slow} \
# #TE_MOD#    CONFIG.PSU_MIO_29_PULLUPDOWN {pullup} \
# #TE_MOD#    CONFIG.PSU_MIO_29_INPUT_TYPE {schmitt} \
# #TE_MOD#    CONFIG.PSU_MIO_29_DRIVE_STRENGTH {12} \
# #TE_MOD#    CONFIG.PSU_MIO_28_SLEW {slow} \
# #TE_MOD#    CONFIG.PSU_MIO_28_PULLUPDOWN {pullup} \
# #TE_MOD#    CONFIG.PSU_MIO_28_INPUT_TYPE {schmitt} \
# #TE_MOD#    CONFIG.PSU_MIO_28_DRIVE_STRENGTH {12} \
# #TE_MOD#    CONFIG.PSU_MIO_27_SLEW {slow} \
# #TE_MOD#    CONFIG.PSU_MIO_27_PULLUPDOWN {pullup} \
# #TE_MOD#    CONFIG.PSU_MIO_27_INPUT_TYPE {schmitt} \
# #TE_MOD#    CONFIG.PSU_MIO_27_DRIVE_STRENGTH {12} \
# #TE_MOD#    CONFIG.PSU_MIO_26_SLEW {slow} \
# #TE_MOD#    CONFIG.PSU_MIO_26_PULLUPDOWN {pullup} \
# #TE_MOD#    CONFIG.PSU_MIO_26_INPUT_TYPE {schmitt} \
# #TE_MOD#    CONFIG.PSU_MIO_26_DRIVE_STRENGTH {12} \
# #TE_MOD#    CONFIG.PSU_MIO_25_SLEW {slow} \
# #TE_MOD#    CONFIG.PSU_MIO_25_PULLUPDOWN {pullup} \
# #TE_MOD#    CONFIG.PSU_MIO_25_INPUT_TYPE {schmitt} \
# #TE_MOD#    CONFIG.PSU_MIO_25_DRIVE_STRENGTH {12} \
# #TE_MOD#    CONFIG.PSU_MIO_24_SLEW {slow} \
# #TE_MOD#    CONFIG.PSU_MIO_24_PULLUPDOWN {pullup} \
# #TE_MOD#    CONFIG.PSU_MIO_24_INPUT_TYPE {schmitt} \
# #TE_MOD#    CONFIG.PSU_MIO_24_DRIVE_STRENGTH {12} \
# #TE_MOD#    CONFIG.PSU_MIO_23_SLEW {slow} \
# #TE_MOD#    CONFIG.PSU_MIO_23_PULLUPDOWN {pullup} \
# #TE_MOD#    CONFIG.PSU_MIO_23_INPUT_TYPE {schmitt} \
# #TE_MOD#    CONFIG.PSU_MIO_23_DRIVE_STRENGTH {12} \
# #TE_MOD#    CONFIG.PSU_MIO_22_SLEW {slow} \
# #TE_MOD#    CONFIG.PSU_MIO_22_PULLUPDOWN {pullup} \
# #TE_MOD#    CONFIG.PSU_MIO_22_INPUT_TYPE {schmitt} \
# #TE_MOD#    CONFIG.PSU_MIO_22_DRIVE_STRENGTH {12} \
# #TE_MOD#    CONFIG.PSU_MIO_21_SLEW {slow} \
# #TE_MOD#    CONFIG.PSU_MIO_21_PULLUPDOWN {pullup} \
# #TE_MOD#    CONFIG.PSU_MIO_21_INPUT_TYPE {schmitt} \
# #TE_MOD#    CONFIG.PSU_MIO_21_DRIVE_STRENGTH {12} \
# #TE_MOD#    CONFIG.PSU_MIO_20_SLEW {slow} \
# #TE_MOD#    CONFIG.PSU_MIO_20_PULLUPDOWN {pullup} \
# #TE_MOD#    CONFIG.PSU_MIO_20_INPUT_TYPE {schmitt} \
# #TE_MOD#    CONFIG.PSU_MIO_20_DRIVE_STRENGTH {12} \
# #TE_MOD#    CONFIG.PSU_MIO_1_SLEW {slow} \
# #TE_MOD#    CONFIG.PSU_MIO_1_PULLUPDOWN {pullup} \
# #TE_MOD#    CONFIG.PSU_MIO_1_INPUT_TYPE {schmitt} \
# #TE_MOD#    CONFIG.PSU_MIO_1_DRIVE_STRENGTH {12} \
# #TE_MOD#    CONFIG.PSU_MIO_1_DIRECTION {inout} \
# #TE_MOD#    CONFIG.PSU_MIO_19_SLEW {slow} \
# #TE_MOD#    CONFIG.PSU_MIO_19_PULLUPDOWN {pullup} \
# #TE_MOD#    CONFIG.PSU_MIO_19_INPUT_TYPE {schmitt} \
# #TE_MOD#    CONFIG.PSU_MIO_19_DRIVE_STRENGTH {12} \
# #TE_MOD#    CONFIG.PSU_MIO_18_SLEW {slow} \
# #TE_MOD#    CONFIG.PSU_MIO_18_PULLUPDOWN {pullup} \
# #TE_MOD#    CONFIG.PSU_MIO_18_INPUT_TYPE {schmitt} \
# #TE_MOD#    CONFIG.PSU_MIO_18_DRIVE_STRENGTH {12} \
# #TE_MOD#    CONFIG.PSU_MIO_17_SLEW {slow} \
# #TE_MOD#    CONFIG.PSU_MIO_17_PULLUPDOWN {pullup} \
# #TE_MOD#    CONFIG.PSU_MIO_17_INPUT_TYPE {schmitt} \
# #TE_MOD#    CONFIG.PSU_MIO_17_DRIVE_STRENGTH {12} \
# #TE_MOD#    CONFIG.PSU_MIO_16_SLEW {slow} \
# #TE_MOD#    CONFIG.PSU_MIO_16_PULLUPDOWN {pullup} \
# #TE_MOD#    CONFIG.PSU_MIO_16_INPUT_TYPE {schmitt} \
# #TE_MOD#    CONFIG.PSU_MIO_16_DRIVE_STRENGTH {12} \
# #TE_MOD#    CONFIG.PSU_MIO_15_SLEW {slow} \
# #TE_MOD#    CONFIG.PSU_MIO_15_PULLUPDOWN {pullup} \
# #TE_MOD#    CONFIG.PSU_MIO_15_INPUT_TYPE {schmitt} \
# #TE_MOD#    CONFIG.PSU_MIO_15_DRIVE_STRENGTH {12} \
# #TE_MOD#    CONFIG.PSU_MIO_14_SLEW {slow} \
# #TE_MOD#    CONFIG.PSU_MIO_14_PULLUPDOWN {pullup} \
# #TE_MOD#    CONFIG.PSU_MIO_14_INPUT_TYPE {schmitt} \
# #TE_MOD#    CONFIG.PSU_MIO_14_DRIVE_STRENGTH {12} \
# #TE_MOD#    CONFIG.PSU_MIO_13_SLEW {slow} \
# #TE_MOD#    CONFIG.PSU_MIO_13_PULLUPDOWN {pullup} \
# #TE_MOD#    CONFIG.PSU_MIO_13_INPUT_TYPE {schmitt} \
# #TE_MOD#    CONFIG.PSU_MIO_13_DRIVE_STRENGTH {12} \
# #TE_MOD#    CONFIG.PSU_MIO_12_SLEW {slow} \
# #TE_MOD#    CONFIG.PSU_MIO_12_PULLUPDOWN {pullup} \
# #TE_MOD#    CONFIG.PSU_MIO_12_INPUT_TYPE {schmitt} \
# #TE_MOD#    CONFIG.PSU_MIO_12_DRIVE_STRENGTH {12} \
# #TE_MOD#    CONFIG.PSU_MIO_12_DIRECTION {out} \
# #TE_MOD#    CONFIG.PSU_MIO_11_SLEW {slow} \
# #TE_MOD#    CONFIG.PSU_MIO_11_PULLUPDOWN {pullup} \
# #TE_MOD#    CONFIG.PSU_MIO_11_INPUT_TYPE {schmitt} \
# #TE_MOD#    CONFIG.PSU_MIO_11_DRIVE_STRENGTH {12} \
# #TE_MOD#    CONFIG.PSU_MIO_11_DIRECTION {inout} \
# #TE_MOD#    CONFIG.PSU_MIO_10_SLEW {slow} \
# #TE_MOD#    CONFIG.PSU_MIO_10_PULLUPDOWN {pullup} \
# #TE_MOD#    CONFIG.PSU_MIO_10_INPUT_TYPE {schmitt} \
# #TE_MOD#    CONFIG.PSU_MIO_10_DRIVE_STRENGTH {12} \
# #TE_MOD#    CONFIG.PSU_MIO_10_DIRECTION {inout} \
# #TE_MOD#    CONFIG.PSU_MIO_0_SLEW {slow} \
# #TE_MOD#    CONFIG.PSU_MIO_0_PULLUPDOWN {pullup} \
# #TE_MOD#    CONFIG.PSU_MIO_0_INPUT_TYPE {schmitt} \
# #TE_MOD#    CONFIG.PSU_MIO_0_DRIVE_STRENGTH {12} \
# #TE_MOD#    CONFIG.PSU_MIO_0_DIRECTION {out} \
# #TE_MOD#    CONFIG.PSU_IMPORT_BOARD_PRESET {} \
# #TE_MOD#    CONFIG.PSU_DDR_RAM_LOWADDR_OFFSET {0x80000000} \
# #TE_MOD#    CONFIG.PSU_DDR_RAM_HIGHADDR_OFFSET {0x800000000} \
# #TE_MOD#    CONFIG.PSU_DDR_RAM_HIGHADDR {0xFFFFFFFF} \
# #TE_MOD#    CONFIG.PSU_BANK_3_IO_STANDARD {LVCMOS18} \
# #TE_MOD#    CONFIG.PSU_BANK_2_IO_STANDARD {LVCMOS18} \
# #TE_MOD#    CONFIG.PSU_BANK_1_IO_STANDARD {LVCMOS18} \
# #TE_MOD#    CONFIG.PSU_BANK_0_IO_STANDARD {LVCMOS18} \
# #TE_MOD#    CONFIG.PMU_BOARD_INTERFACE {custom} \
# #TE_MOD#    CONFIG.PJTAG_BOARD_INTERFACE {custom} \
# #TE_MOD#    CONFIG.PCIE_BOARD_INTERFACE {custom} \
# #TE_MOD#    CONFIG.NAND_BOARD_INTERFACE {custom} \
# #TE_MOD#    CONFIG.IIC1_BOARD_INTERFACE {custom} \
# #TE_MOD#    CONFIG.IIC0_BOARD_INTERFACE {custom} \
# #TE_MOD#    CONFIG.GPIO_BOARD_INTERFACE {custom} \
# #TE_MOD#    CONFIG.GEM3_BOARD_INTERFACE {custom} \
# #TE_MOD#    CONFIG.GEM2_BOARD_INTERFACE {custom} \
# #TE_MOD#    CONFIG.GEM1_BOARD_INTERFACE {custom} \
# #TE_MOD#    CONFIG.GEM0_BOARD_INTERFACE {custom} \
# #TE_MOD#    CONFIG.DP_BOARD_INTERFACE {custom} \
# #TE_MOD#    CONFIG.CSU_BOARD_INTERFACE {custom} \
# #TE_MOD#    CONFIG.CAN1_BOARD_INTERFACE {custom} \
# #TE_MOD#    CONFIG.CAN0_BOARD_INTERFACE {custom} \
# #TE_MOD# #Empty Line
  # Create port connections
  connect_bd_net -net zynq_ultra_ps_e_0_pl_clk0 [get_bd_pins zynq_ultra_ps_e_0/maxihpm0_lpd_aclk] [get_bd_pins zynq_ultra_ps_e_0/pl_clk0]

  # Create address segments


  # Restore current instance
  current_bd_instance $oldCurInst

  save_bd_design
}
# End of create_root_design()


##################################################################
# MAIN FLOW
##################################################################

create_root_design ""



